package pps.core.auth;

import org.apache.commons.codec.binary.Base64;

import java.nio.charset.StandardCharsets;

/**
 * 用户名密码认证
 *
 * @author ZWT
 * @date 2023/01/09
 */
public class BasicAuth implements Auth {

    private String username;

    private String password;

    public BasicAuth(String username, String password) {
        this.username = username;
        this.password = password;
    }

    @Override
    public String getAuth() {
        String auth = String.format("%s:%s", this.username, this.password);
        byte[] encodedAuth = Base64.encodeBase64(auth.getBytes(StandardCharsets.ISO_8859_1));
        return "Basic " + new String(encodedAuth);
    }
}