package pps.core.common.enums;

import xstartup.error.XError;

/**
 * 业务错误
 *
 * @author ZWT
 * @date 2023/09/12
 */
public enum BusinessError implements XError {
    FileFormatError(2204, "文件格式有误,请检查上传文件格式!"),
    UndiscoveredData(2205, "未发现数据,请检查后重新导入!"),
    ;

    private int code;
    private String text;

    BusinessError(int code, String text) {
        this.code = code;
        this.text = text;
    }

    @Override
    public int getCode() {
        return code;
    }

    @Override
    public String getText() {
        return text;
    }
}
