package pps.cloud.system.service;

import pps.cloud.system.service.data.sys_area.GetSysAreaInput;
import pps.cloud.system.service.data.sys_area.GetSysAreaOutput;
import pps.cloud.system.service.data.sys_area.QuerySysAreaInput;
import pps.cloud.system.service.data.sys_area.QuerySysAreaOutput;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;
import xstartup.data.XSingleResult;

@XText("地区服务")
@XService
public interface SystemAreaService {

    @XText("根据id获取地区")
    XListResult<GetSysAreaOutput> getSysAreaList(XContext context, GetSysAreaInput input);

    /**
     * 地区Cloud服务-条件查询地区
     *
     * @param context 上下文
     * @param input   输入
     * @return {@link XSingleResult}<{@link GetSysAreaOutput}>
     */
    @XText("地区Cloud服务-条件查询地区")
    XSingleResult<GetSysAreaOutput> getSysAreaByParam(XContext context, GetSysAreaInput input);

    /**
     * 地区Cloud服务-查询地区路径
     *
     * @param context 上下文
     * @param input   输入
     * @return {@link XSingleResult}<{@link GetSysAreaOutput}>
     */
    @XText("地区Cloud服务-查询地区路径")
    XSingleResult<GetSysAreaOutput> getSysAreaPath(XContext context, GetSysAreaInput input);

    /**
     * 获取省和市
     *
     * @param context 上下文
     * @param input   输入
     * @return {@link XListResult}<{@link QuerySysAreaOutput}>
     */
    @XText("地区Cloud服务-查询地区路径")
    XListResult<QuerySysAreaOutput> getProvinceAndCity(XContext context, QuerySysAreaInput input);
}
