package pps.cloud.system.service;

import pps.cloud.system.service.data.sys_dictionary.*;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;

@XText("字典接口")
@XService
public interface SystemDictionaryService {

    @XText("根据alias获取字典")
    XListResult<QuerySysDictionaryViewOutput> querySysDictionarysByAlias(XContext context, CreateSysDictionaryInput input);

    @XText("根据父级alias获取子级字典列表")
    XListResult<QuerySysDictionaryViewOutput> queryChildSysDictionarysByParentAlias(XContext context, QuerySysDictionaryViewInput input);

    /**
     * 条件查询字典列表
     *
     * @param context 上下文
     * @param input   输入
     * @return {@link XListResult}<{@link GetSysDictionaryViewOutput}>
     */
    @XText("条件查询字典列表")
    XListResult<GetSysDictionaryViewOutput> querySysDictionaryByParam(XContext context, GetSysDictionaryViewInput input);
}
