package pps.cloud.system.service.data.sys_organization;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.util.Date;
import java.util.List;

/**
 * 组织机构
 *
 * @author ZWT
 * @date 2024/05/21
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetSysOrganizationViewInput {
    @XText("主键")
    private String id;

    @XText("多个主键")
    private List<String> ids;

    @XText("用户id")
    private String userId;

    @XText("组织机构编码")
    private String ouCode;

    @XText("组织机构名称")
    private String ouName;

    @XText("简称")
    private String shortName;

    @XText("单位级别（从系统字典中来）")
    private String ouLevel;

    @XText("描述")
    private String description;

    @XText("创建人")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("邮编")
    private String postCode;

    @XText("地址")
    private String postAddress;

    @XText("传真")
    private String faxNo;

    @XText("电话")
    private String phone;

    @XText("国家")
    private String country;

    @XText("省份")
    private String province;

    @XText("是否删除")
    private Integer isDeleted;
}
