package pps.core.system.cache;

import xstartup.base.XContext;
import xstartup.cache.XCacheLife;
import xstartup.cache.XCacheObject;
import xstartup.cache.XListCache;

import java.util.List;

/**
 * 角色权限缓存
 */
public class RolePermissionCache implements XCacheObject, XCacheLife {
    private String code;
    private String name;

    public RolePermissionCache() {
    }

    public RolePermissionCache(String code, String name) {
        this.code = code;
        this.name = name;
    }

    /**
     * 检查缓存是否存在指定的code
     *
     * @param context
     * @param roleId
     * @param code
     * @return
     */
    public static boolean exist(XContext context, Long roleId, String code) {
        return Tool.get(Tool.class).exist(context, roleId.toString(), code, RolePermissionCache.class);
    }

    /**
     * 从缓存中读取
     *
     * @param context
     * @param roleId
     * @return
     */
    public static List<RolePermissionCache> list(XContext context, Long roleId) {
        return Tool.get(Tool.class).list(context, roleId.toString(), RolePermissionCache.class);
    }

    /**
     * 设置缓存
     *
     * @param context
     * @param roleId
     * @param caches
     */
    public static void set(XContext context, Long roleId, List<RolePermissionCache> caches) {
        Tool.get(Tool.class).set(context, roleId.toString(), caches);
    }

    /**
     * 删除缓存
     *
     * @param context
     * @param roleId
     */
    public static void delete(XContext context, Long roleId) {
        Tool.get(Tool.class).delete(context, roleId.toString(), RolePermissionCache.class);
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public String getCacheKey() {
        return this.code;
    }

    @Override
    public Integer getDuration() {
        //过期时间（秒）
        // 1天
//        return 24 * 3600;
        // 5分钟
        return 5 * 60;
    }

    static class Tool extends XListCache<RolePermissionCache> {
        @Override
        protected List<RolePermissionCache> restore(XContext context, String listKey) {
            return null;
        }
    }
}
