package pps.core.system.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import xstartup.annotation.XText;

import javax.persistence.Transient;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class SysOrganizationView implements Serializable {
    @XText("主键")
    @TableField
    private String id;
    private String userId;
    @XText("组织机构id")
    @TableField(exist = false)
    private List<String> ouIds;
    @XText("组织机构编码")
    @TableField
    private String ouCode;

    @XText("组织机构名称")
    @TableField
    private String ouName;

    @XText("简称")
    @TableField
    private String shortName;

    @XText("单位级别（从系统字典中来）")
    @TableField
    private String ouLevel;

    @XText("描述")
    @TableField
    private String description;

    @XText("是否删除：0->是；1->否")
    @TableField
    private Integer isDeleted;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;


    @XText("结束时间")
    @Transient
    private Date endTime;

    @XText("邮编")
    @TableField
    private String postCode;

    @XText("地址")
    @TableField
    private String postAddress;

    @XText("传真")
    @TableField
    private String faxNo;

    @XText("电话")
    @TableField
    private String phone;

    @XText("国家")
    @TableField
    private String country;

    @XText("省份")
    @TableField
    private Integer province;

    @XText("父级id")
    @Transient
    private String parentOuId;

    @XText("父级名称")
    @Transient
    private String partentName;

    @XText("关系表id")
    @Transient
    private String sorId;

    @XText("序号")
    @Transient
    private Integer sort;

    @XText("单位级别名称")
    @Transient
    private String levelDicName;
    @XText("国家名称")
    @Transient
    private String countryName;
    @XText("地区名称")
    @Transient
    private String provinceName;
    @XText("介质类型")
    @Transient
    private String propertyName;

    @XText("介质类型")
    @Transient
    private String mediaType;

    @XText("类型")
    @Transient
    private String type;

    @XText("是否包含子ou：0->否；1->是；")
    @Transient
    private Integer isHasChildren;

    @XText("经度")
    @TableField
    private BigDecimal longitude;

    @XText("纬度")
    @TableField
    private BigDecimal latitude;

    @XText("高程")
    @TableField
    private BigDecimal elevation;

    /**
     * 线路ID
     */
    @XText("线路ID")
    @TableField(exist = false)
    private String lineId;

    /**
     * 电网类型key
     */
    @XText("电网类型key(字典获取)")
    @TableField(exist = false)
    private String gridTypeKey;

    /**
     * 电站ID
     */
    @XText("电站ID")
    @TableField(exist = false)
    private String stationId;
}
