package pps.core.system.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.system.entity.SysAreaView;

import java.util.List;

@Repository(value = "pps.core.system.mapper.SysAreaViewMapper")
public interface SysAreaViewMapper {
    SysAreaView selectOne(SysAreaView record);

    List<SysAreaView> selectList(SysAreaView record);

    List<SysAreaView> selectListAll(SysAreaView record);

    /**
     * 查询地区列表
     *
     * @return {@link List}<{@link SysAreaView}>
     */
    List<SysAreaView> selectListAllNew();

    /**
     * 查询区域路径
     *
     * @param id 身份证件
     * @return {@link SysAreaView}
     */
    SysAreaView selectSysAreaPath(@Param(value = "id") Integer id);

    /**
     * 选择省和市
     *
     * @param list 省列表
     * @return {@link List}<{@link SysAreaView}>
     */
    List<SysAreaView> selectProvinceAndCity(@Param(value = "list") List<String> list);
}
