package pps.core.system.service;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import pps.core.system.entity.SysUserOrganizationRelEnt;
import pps.core.system.entity.SysUserOrganizationRelView;
import pps.core.system.mapper.SysUserOrganizationRelMapper;
import pps.core.system.mapper.SysUserOrganizationRelViewMapper;
import pps.core.system.service.data.sys_user_organization_rel.*;
import xstartup.annotation.XService;
import xstartup.base.XContext;
import xstartup.base.data.CustomQueryInput;
import xstartup.base.util.XCopyUtils;
import xstartup.data.XPageResult;
import xstartup.data.XServiceResult;
import xstartup.data.XSingleResult;
import xstartup.error.XError;
import xstartup.feature.api.annotation.XApiGet;
import xstartup.feature.api.annotation.XApiPost;
import xstartup.feature.mybatis.helper.XMapperHelper;

import java.util.List;

@XService
public class SysUserOrganizationRelService {
    @XApiPost
    public XServiceResult createSysUserOrganizationRel(XContext context, CreateSysUserOrganizationRelInput input) {
        SysUserOrganizationRelMapper mapper = context.getBean(SysUserOrganizationRelMapper.class);
        SysUserOrganizationRelEnt entity = new SysUserOrganizationRelEnt();
        XCopyUtils.copyObject(input, entity);
        mapper.insert(entity);
        return XServiceResult.OK;
    }

    @XApiPost
    public XServiceResult updateSysUserOrganizationRel(XContext context, UpdateSysUserOrganizationRelInput input) {
        SysUserOrganizationRelMapper mapper = context.getBean(SysUserOrganizationRelMapper.class);
        SysUserOrganizationRelEnt entity = mapper.selectOne(new QueryWrapper<SysUserOrganizationRelEnt>()
                .lambda()
                .eq(SysUserOrganizationRelEnt::getId, input.getId()));
        if (ObjectUtil.isNull(entity)) {
            return XServiceResult.error(context, XError.NotFound);
        }
        XCopyUtils.copyObject(input, entity);
        mapper.updateById(entity);
        return XServiceResult.OK;
    }

    @XApiPost
    public XServiceResult deleteSysUserOrganizationRel(XContext context, DeleteSysUserOrganizationRelInput input) {
        SysUserOrganizationRelMapper mapper = context.getBean(SysUserOrganizationRelMapper.class);
        SysUserOrganizationRelEnt entity = mapper.selectOne(new QueryWrapper<SysUserOrganizationRelEnt>()
                .lambda()
                .eq(SysUserOrganizationRelEnt::getId, input.getId()));
        if (ObjectUtil.isNull(entity)) {
            return XServiceResult.error(context, XError.NotFound);
        }
        mapper.deleteById(entity);
        return XServiceResult.OK;
    }

    @XApiGet
    public XSingleResult<GetSysUserOrganizationRelOutput> getSysUserOrganizationRel(XContext context, GetSysUserOrganizationRelInput input) {
        SysUserOrganizationRelMapper mapper = context.getBean(SysUserOrganizationRelMapper.class);
        QueryWrapper<SysUserOrganizationRelEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(SysUserOrganizationRelEnt::getId, input.getId());
        SysUserOrganizationRelEnt entity = mapper.selectOne(queryWrapper);
        if (ObjectUtil.isNull(entity)) {
            return XSingleResult.error(context, XError.NotFound);
        }
        GetSysUserOrganizationRelOutput output = new GetSysUserOrganizationRelOutput();
        XCopyUtils.copyObject(entity, output);
        return XSingleResult.success(output);
    }

    @XApiGet
    public XPageResult<QuerySysUserOrganizationRelOutput> querySysUserOrganizationRel(XContext context, QuerySysUserOrganizationRelInput input) {
        SysUserOrganizationRelMapper mapper = context.getBean(SysUserOrganizationRelMapper.class);
        QueryWrapper<SysUserOrganizationRelEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().like(SysUserOrganizationRelEnt::getId, input.getId())
                .like(SysUserOrganizationRelEnt::getOuId, input.getOuId())
                .like(SysUserOrganizationRelEnt::getUserId, input.getUserId())
                .like(SysUserOrganizationRelEnt::getCreateById, input.getCreateById())
                .like(SysUserOrganizationRelEnt::getCreateByName, input.getCreateByName())
                .eq(SysUserOrganizationRelEnt::getCreateTime, input.getCreateTime())
                .like(SysUserOrganizationRelEnt::getModifyById, input.getModifyById())
                .like(SysUserOrganizationRelEnt::getModifyByName, input.getModifyByName())
                .eq(SysUserOrganizationRelEnt::getModifyTime, input.getModifyTime());
        return XMapperHelper.query(mapper, input, queryWrapper, QuerySysUserOrganizationRelOutput.class);
    }

    @XApiGet
    public XPageResult<QuerySysUserOrganizationRelOutput> dynamicQuerySysUserOrganizationRel(XContext context, CustomQueryInput input) {
        SysUserOrganizationRelMapper mapper = context.getBean(SysUserOrganizationRelMapper.class);
        return XMapperHelper.query(mapper, input, SysUserOrganizationRelEnt.class, QuerySysUserOrganizationRelOutput.class);
    }

    @XApiGet
    public XSingleResult<GetSysUserOrganizationRelViewOutput> getSysUserOrganizationRelView(XContext context, GetSysUserOrganizationRelViewInput input) {
        SysUserOrganizationRelViewMapper mapper = context.getBean(SysUserOrganizationRelViewMapper.class);
        SysUserOrganizationRelView record = new SysUserOrganizationRelView();
        XCopyUtils.copyObject(input, record);
        SysUserOrganizationRelView view = mapper.selectOne(record);
        if (ObjectUtil.isNull(view)) {
            return XSingleResult.error(context, XError.NotFound);
        }
        GetSysUserOrganizationRelViewOutput output = new GetSysUserOrganizationRelViewOutput();
        XCopyUtils.copyObject(view, output);
        return XSingleResult.success(output);
    }

    @XApiGet
    public XPageResult<QuerySysUserOrganizationRelViewOutput> querySysUserOrganizationRelView(XContext context, QuerySysUserOrganizationRelViewInput input) {
        SysUserOrganizationRelViewMapper mapper = context.getBean(SysUserOrganizationRelViewMapper.class);
        SysUserOrganizationRelView record = new SysUserOrganizationRelView();
        XCopyUtils.copyObject(input, record);
        PageHelper.startPage(input.getPage(), input.getLimit());
        List<SysUserOrganizationRelView> list = mapper.selectList(record);
        PageInfo<SysUserOrganizationRelView> pageInfo = new PageInfo<>(list);
        List<QuerySysUserOrganizationRelViewOutput> outputs = XCopyUtils.copyNewList(pageInfo.getList(), QuerySysUserOrganizationRelViewOutput.class);
        return XPageResult.success(outputs, input, pageInfo.getTotal());
    }
}