package pps.core.system.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import pps.cloud.system.service.SystemUserRoleRelService;
import pps.cloud.system.service.data.user_role.GetSysUserRoleRelInput;
import pps.cloud.system.service.data.user_role.GetSysUserRoleRelOutput;
import pps.core.system.entity.SysUserRoleRelEnt;
import pps.core.system.mapper.SysUserRoleRelMapper;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.base.util.XCopyUtils;
import xstartup.data.XListResult;

import java.util.List;

/**
 * @author lixueyan
 * @date 2022/7/14 0014 10:13
 */
@XService
@XText("用户角色关联服务")
public class SysUserRoleRelServiceImpl implements SystemUserRoleRelService {

    @Override
    @XText("获取用户角色")
    public XListResult<GetSysUserRoleRelOutput> getSysRoleByUserId(XContext context, GetSysUserRoleRelInput input) {
        SysUserRoleRelMapper mapper = context.getBean(SysUserRoleRelMapper.class);
        List<SysUserRoleRelEnt> list = mapper.selectList(new QueryWrapper<SysUserRoleRelEnt>()
                .lambda()
                .eq(SysUserRoleRelEnt::getUserId, input.getUserId()));
        List<GetSysUserRoleRelOutput> outputs = XCopyUtils.copyNewList(list, GetSysUserRoleRelOutput.class);
        return XListResult.success(outputs);
    }
}
