package pps.cloud.base.service;

import pps.cloud.base.service.data.base_photovoltaic_plant.GetBasePhotovoltaicPlantCloudInput;
import pps.cloud.base.service.data.base_photovoltaic_plant.GetBasePhotovoltaicPlantCloudOutput;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;

/**
 * 光伏电站Cloud模块
 *
 * @author TianChao
 * @date 2023/09/27
 */
@XService
public interface BasePhotovoltaicPlantCloudService {

    /**
     * 光伏电站Cloud模块-获取电站列表
     *
     * @param context 上下文
     * @param input   输入
     * @return {@link XListResult}<{@link GetBasePhotovoltaicPlantCloudOutput}>
     */
    @XText("光伏电站Cloud模块-获取电站列表")
    XListResult<GetBasePhotovoltaicPlantCloudOutput> getBasePhotovoltaicPlantList(XContext context, GetBasePhotovoltaicPlantCloudInput input);

    /**
     * 光伏电站Cloud模块-获取电站及对应市电峰谷策略ID列表
     *
     * @param context 上下文
     * @param input   输入
     * @return {@link XListResult }<{@link GetBasePhotovoltaicPlantCloudOutput }>
     */
    @XText("光伏电站Cloud模块-获取电站及对应市电峰谷策略ID列表")
    XListResult<GetBasePhotovoltaicPlantCloudOutput> getPlantStrategyList(XContext context, GetBasePhotovoltaicPlantCloudInput input);
}
