package pps.cloud.base.service;

import pps.cloud.base.service.data.base_energy_storage_device.DynamicQueryBaseEnergyStorageDeviceInput;
import pps.cloud.base.service.data.base_energy_storage_device.DynamicQueryBaseEnergyStorageDeviceOutput;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;

/**
 * 储能电站Cloud模块
 *
 * @author ZWT
 * @date 2024/03/25 20:48
 */
@XService
@XText("储能电站Cloud模块")
public interface IBaseEnergyStorageCloudService {

    /**
     * 条件查询储能电站信息
     *
     * @param context 上下文
     * @param input   输入
     * @return {@link XListResult}<{@link DynamicQueryBaseEnergyStorageDeviceOutput}>
     */
    @XText("储能电站Cloud模块--条件查询储能电站信息")
    XListResult<DynamicQueryBaseEnergyStorageDeviceOutput> queryBaseStorageListByParam(XContext context, DynamicQueryBaseEnergyStorageDeviceInput input);
}
