package pps.cloud.base.service;

import pps.cloud.base.service.data.base_price_strategy_detail.GetBasePriceStrategyDetailInput;
import pps.cloud.base.service.data.base_price_strategy_detail.GetBasePriceStrategyDetailOutput;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;
import xstartup.feature.api.annotation.XApiGet;

/**
 * 市电峰谷配置Cloud模块
 *
 * @author ZWT
 * @date 2023/09/07 14:50
 */
@XService
@XText("市电峰谷配置Cloud模块")
public interface IBasePriceStrategyCloudService {

    /**
     * 市电峰谷策略--策略配置详情列表
     *
     * @param context 上下文
     * @param input   输入
     * @return {@link XListResult}<{@link GetBasePriceStrategyDetailOutput}>
     */
    @XApiGet
    @XText("市电峰谷配置Cloud模块--策略配置详情列表")
    XListResult<GetBasePriceStrategyDetailOutput> queryStrategyDetailList(XContext context, GetBasePriceStrategyDetailInput input);
}
