package pps.cloud.base.service;

import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XServiceResult;

/**
 * 天气数据接收Cloud模块
 *
 * @author ZWT
 * @date 2023/11/13 17:49
 */
@XService
@XText("天气数据接收Cloud模块")
public interface IBaseWeatherCloudService {

    /**
     * 天气数据接收Cloud模块--天气数据处理
     *
     * @param context      上下文
     * @param oilFieldName 油田名称
     * @return {@link XServiceResult }
     */
    @XText("天气数据接收Cloud模块--天气数据处理")
    XServiceResult weatherDataProcess(XContext context, String oilFieldName);

    /**
     * 天气数据接收Cloud模块--天气Api数据处理
     *
     * @param context 上下文
     * @return {@link XServiceResult}
     */
    @XText("天气数据接收Cloud模块--天气Api数据处理")
    XServiceResult weatherApiDataProcess(XContext context);
}
