package pps.cloud.base.service;

import pps.cloud.base.service.data.base_wellhead.DynamicQueryBaseWellheadInput;
import pps.cloud.base.service.data.base_wellhead.DynamicQueryBaseWellheadOutput;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;
import xstartup.data.XSingleResult;

/**
 * 井口配置Cloud模块
 *
 * @author ZWT
 * @date 2023/09/13 17:26
 */
@XService
@XText("井口配置Cloud模块")
public interface IBaseWellheadCloudService {

    /**
     * 井口配置Cloud模块--条件查询井口基本信息列表
     *
     * @param context 上下文
     * @param input   输入
     * @return {@link XListResult}<{@link DynamicQueryBaseWellheadOutput}>
     */
    @XText("井口配置Cloud模块--条件查询井口基本信息列表")
    XListResult<DynamicQueryBaseWellheadOutput> queryBaseWellheadListByParam(XContext context, DynamicQueryBaseWellheadInput input);

    /**
     * 井口配置Cloud模块--查功率最小的井口
     *
     * @param context 上下文
     * @param input   输入
     * @return {@link XSingleResult}<{@link DynamicQueryBaseWellheadOutput}>
     */
    @XText("井口配置Cloud模块--查功率最小的井口")
    XSingleResult<DynamicQueryBaseWellheadOutput> getMinPowerWellByIds(XContext context, DynamicQueryBaseWellheadInput input);
}