package pps.cloud.base.service.data.base_energy_storage_device;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.List;

/**
 * 储能电站
 *
 * @author ZWT
 * @date 2024/03/25
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class DynamicQueryBaseEnergyStorageDeviceInput {
    @XText("ID")
    private String id;

    @XText("组织机构ID")
    private String ouId;

    @XText("组织机构name")
    private String ouName;

    @XText("设备名称")
    private String deviceName;

    @XText("出厂编号")
    private String makerNumber;

    @XText("储能设备规格型号key(字典获取)")
    private String storageModelKey;

    @XText("储能设备规格型号name(字典获取)")
    private String storageModelName;

    @XText("设备容量(KWh)")
    private BigDecimal apparatusCapacity;

    @XText("额定放电功率(KW)")
    private BigDecimal ratedDischargePower;

    @XText("额定充电功率(KW)")
    private BigDecimal ratedChargingPower;

    @XText("组织ID集合")
    private List<String> ouIds;
}
