package pps.cloud.base.service.data.base_photovoltaic_plant;

import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 光伏电站Cloud模块
 *
 * @author ZWT
 * @date 2023/09/27
 */
@Data
public class GetBasePhotovoltaicPlantCloudOutput {
    @XText("ID")
    private String id;

    @XText("是否删除(1_是;0_否)")
    private Integer isDeleted;

    @XText("创建人ID")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人ID")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("组织机构ID")
    private String ouId;

    @XText("电站名称")
    private String stationName;

    @XText("出厂编号")
    private String makerNumber;

    @XText("光伏设备规格型号key(字典获取)")
    private String photovoltaicModelKey;

    @XText("安装倾角")
    private BigDecimal mountingAngle;

    @XText("装机总量(KWP)")
    private BigDecimal totalPower;

    @XText("阵列朝向")
    private BigDecimal arrayOrientation;

    @XText("组织机构name")
    private String ouName;

    @XText("光伏设备规格型号name(字典获取)")
    private String photovoltaicModelName;

    @XText("所属城市")
    private String cityCode;

    @XText("所属省份")
    private String provinceCode;

    @XText("经度(°)")
    private BigDecimal longitude;

    @XText("纬度(°)")
    private BigDecimal latitude;

    @XText("高程(m)")
    private BigDecimal elevation;

    @XText("市电峰谷配置ID")
    private String strategyId;
}
