package pps.cloud.base.service.data.base_power_line_plant;

import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 输电线路光伏配置
 *
 * @author ZWT
 * @date 2024/04/01
 */
@Data
public class DynamicQueryBasePowerLinePlantViewOutput {

    @XText("光伏电站ID")
    private String plantId;

    @XText("线路ID")
    private String lineId;

    /**
     * 电站名称
     */
    @XText("电站名称")
    private String stationName;


    /**
     * 装机总量
     */
    @XText("装机总量(KWP)")
    private BigDecimal totalPower;

    @XText("经度(°)")
    private BigDecimal longitude;

    @XText("纬度(°)")
    private BigDecimal latitude;

    @XText("地区编码")
    private Integer areaCode;
}
