package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import pps.core.common.entity.BaseModel;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 柴发设备
 *
 * @author ZWT
 * @date 2023/09/08
 */
@Data
@TableName("base_diesel_generator")
public class BaseDieselGeneratorEnt extends BaseModel implements Serializable {

    @XText("组织机构ID")
    @TableField
    private String ouId;

    @XText("组织机构name")
    @TableField
    private String ouName;

    @XText("设备名称")
    @TableField
    private String deviceName;

    @XText("出厂编号")
    @TableField
    private String makerNumber;

    @XText("柴发设备机组型号key(字典获取)")
    @TableField
    private String unitTypeKey;

    @XText("柴发设备机组型号name(字典获取)")
    @TableField
    private String unitTypeName;

    @XText("常用功率(KW)")
    @TableField
    private BigDecimal normalPower;

    @XText("备用功率(KW)")
    @TableField
    private BigDecimal standbyPower;
}
