package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import pps.core.common.entity.BaseModel;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 光伏电站
 *
 * @author ZWT
 * @date 2023/09/08
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class BasePhotovoltaicPlantView extends BaseModel implements Serializable {

    @XText("组织机构ID")
    @TableField
    private String ouId;

    @XText("电站名称")
    @TableField
    private String stationName;

    @XText("出厂编号")
    @TableField
    private String makerNumber;

    @XText("光伏设备规格型号key(字典获取)")
    @TableField
    private String photovoltaicModelKey;

    @XText("安装倾角")
    @TableField
    private BigDecimal mountingAngle;

    @XText("装机总量(KWP)")
    @TableField
    private BigDecimal totalPower;

    @XText("阵列朝向")
    @TableField
    private BigDecimal arrayOrientation;

    @XText("组织机构name")
    @TableField
    private String ouName;

    @XText("光伏设备规格型号name(字典获取)")
    @TableField
    private String photovoltaicModelName;

    @XText("所属城市")
    @TableField(exist = false)
    private String cityCode;

    @XText("所属省份")
    @TableField(exist = false)
    private String provinceCode;

    @XText("经度(°)")
    @TableField
    private BigDecimal longitude;

    @XText("纬度(°)")
    @TableField
    private BigDecimal latitude;

    @XText("高程(m)")
    @TableField
    private BigDecimal elevation;

    @XText("地区编码")
    @TableField
    private Integer areaCode;

    @XText("所属省份")
    @TableField(exist = false)
    private List<String> ouIdIn;

    @XText("所属省份")
    @TableField(exist = false)
    private List<String> ouIdNotIn;

    @XText("市电峰谷配置ID")
    @TableField(exist = false)
    private String strategyId;
}