package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import pps.core.common.entity.BaseModel;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 输电线路柴发设备配置
 *
 * @author ZWT
 * @date 2023/08/25
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class BasePowerLineDieselView extends BaseModel implements Serializable {

    @XText("线路ID")
    @TableField
    private String lineId;

    @XText("柴发设备ID")
    @TableField
    private String dieselId;

    @XText("组织机构ID")
    @TableField
    private String ouId;

    /**
     * 设备名称
     */
    @XText("设备名称")
    @TableField
    private String deviceName;

    /**
     * 发电功率
     */
    @XText("备用功率(KW)")
    @TableField
    private BigDecimal standbyPower;
}
