package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import pps.core.common.entity.BaseModel;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 输电线路储能配置
 *
 * @author ZWT
 * @date 2023/08/25
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class BasePowerLineStorageView extends BaseModel implements Serializable {

    @XText("线路ID")
    @TableField
    private String lineId;

    @XText("储能设备ID")
    @TableField
    private String storageId;

    @XText("组织机构ID")
    @TableField
    private String ouId;

    /**
     * 设备名称
     */
    @XText("设备名称")
    @TableField
    private String deviceName;

    /**
     * 装机总量
     */
    @XText("设备容量(KWh)")
    @TableField
    private BigDecimal apparatusCapacity;

    /**
     * 额定放电功率(KW)
     */
    @XText("额定放电功率(KW)")
    @TableField
    private BigDecimal ratedDischargePower;

    /**
     * 额定放电深度
     */
    @XText("额定放电深度")
    @TableField
    private BigDecimal ratedDischargeDepth;

    /**
     * 额定放电效率
     */
    @XText("额定放电效率")
    @TableField
    private BigDecimal ratedDischargeEfficiency;
}
