package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import pps.core.common.entity.BaseModel;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 输电线路井口配置
 *
 * @author ZWT
 * @date 2023/08/25
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class BasePowerLineWellheadView extends BaseModel implements Serializable {

    @XText("线路ID")
    @TableField
    private String lineId;

    @XText("井口ID")
    @TableField
    private String wellheadId;

    @XText("组织机构ID")
    @TableField
    private String ouId;

    @XText("启动顺序")
    @TableField
    private Integer startSeq;

    /**
     * 井号
     */
    @XText("井号")
    @TableField
    private String wellNumber;

    /**
     * 运行类型
     */
    @XText("运行类型key(字典获取)")
    @TableField
    private String runTypeKey;

    /**
     * 运行类型
     */
    @XText("运行类型name(字典获取)")
    @TableField
    private String runTypeName;

    /**
     * 运行功率
     */
    @XText("运行功率(KW)")
    @TableField
    private BigDecimal serviceRating;

    /**
     * 额定功率
     */
    @XText("额定功率(KW)")
    @TableField
    private BigDecimal ratedPower;

    /*------------------------ false ------------------------*/

    /**
     * 线路名称
     */
    @XText("线路名称")
    @TableField(exist = false)
    private String lineName;

    /**
     * 组织ID集合
     */
    @XText("组织ID集合")
    @TableField(exist = false)
    private List<String> ouIds;

    /**
     * 井口ID集合
     */
    @XText("井口ID集合")
    @TableField(exist = false)
    private List<String> wellheadIds;

    /**
     * 线路ID集合
     */
    @XText("线路ID集合")
    @TableField(exist = false)
    private List<String> lineIds;

    /**
     * 电站id
     */
    @XText("电站ID集合")
    @TableField(exist = false)
    private List<String> plantIds;
}
