package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import pps.core.common.entity.BaseModel;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 市电峰谷当月明细配置
 *
 * @author ZWT
 * @date 2023/08/24
 */
@Data
@TableName("base_price_strategy_detail")
public class BasePriceStrategyDetailEnt extends BaseModel implements Serializable {

    @XText("市电峰谷配置ID")
    @TableField
    private String strategyId;

    @XText("市电峰谷月")
    @TableField
    private String strategyMonth;

    @XText("时段类型key(字典获取)")
    @TableField
    private String periodTypeKey;

    @XText("开始时间")
    @TableField
    private String startTime;

    @XText("结束时间")
    @TableField
    private String endTime;

    @XText("电价")
    @TableField
    private BigDecimal electrovalence;

    @XText("内部结算价")
    @TableField
    private BigDecimal internalSettlementPrice;

    @XText("开始时间")
    @TableField(exist = false)
    private Date openTime;

    @XText("结束时间")
    @TableField(exist = false)
    private Date closeTime;
}
