package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;

import java.io.Serializable;

@TableName("base_wather")
public class BaseWatherEnt implements Serializable {
    @XText("主键")
    @TableId(type = IdType.AUTO)
    private Integer id;
    @XText("省份描述")
    @TableField
    private String provinceName;
    @XText("省份id")
    @TableField
    private String provinceCode;
    @XText("城市描述(包含区县)")
    @TableField
    private String cityName;
    @XText("城市id(包含区县)")
    @TableField
    private String cityCode;
    @XText("日期-到小时")
    @TableField
    private String dataDate;
    @XText("日期天")
    @TableField(exist = false)
    private String dayTime;
    @XText("星期")
    @TableField(exist = false)
    private String weekTime;
    @XText("时间:小时")
    @TableField(exist = false)
    private String hourTime;
    @XText("天气")
    @TableField
    private String weather;
    @XText("气温")
    @TableField
    private String temperature;
    @XText("降水")
    @TableField
    private String precipitation;
    @XText("风速")
    @TableField
    private String windSpeed;
    @XText("风向")
    @TableField
    private String windDirection;
    @XText("气压")
    @TableField
    private String pressure;
    @XText("湿度")
    @TableField
    private String humidity;
    @XText("云量")
    @TableField
    private String cloudCover;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getProvinceName() {
        return provinceName;
    }

    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    public String getProvinceCode() {
        return provinceCode;
    }

    public void setProvinceCode(String provinceCode) {
        this.provinceCode = provinceCode;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public String getCityCode() {
        return cityCode;
    }

    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    public String getDayTime() {
        return dayTime;
    }

    public void setDayTime(String dayTime) {
        this.dayTime = dayTime;
    }

    public String getHourTime() {
        return hourTime;
    }

    public void setHourTime(String hourTime) {
        this.hourTime = hourTime;
    }

    public String getWeekTime() {
        return weekTime;
    }

    public void setWeekTime(String weekTime) {
        this.weekTime = weekTime;
    }

    public String getWeather() {
        return weather;
    }

    public void setWeather(String weather) {
        this.weather = weather;
    }

    public String getTemperature() {
        return temperature.replace("℃", "");
    }

    public void setTemperature(String temperature) {
        this.temperature = temperature;
    }

    public String getPrecipitation() {
        return precipitation;
    }

    public void setPrecipitation(String precipitation) {
        this.precipitation = precipitation;
    }

    public String getWindSpeed() {
        return windSpeed.replace("m/s", "");
    }

    public void setWindSpeed(String windSpeed) {
        this.windSpeed = windSpeed;
    }

    public String getWindDirection() {
        return windDirection;
    }

    public void setWindDirection(String windDirection) {
        this.windDirection = windDirection;
    }

    public String getPressure() {
        return pressure.replace("hPa", "");
    }

    public void setPressure(String pressure) {
        this.pressure = pressure;
    }

    public String getHumidity() {
        return humidity.replace("%", "");
    }

    public void setHumidity(String humidity) {
        this.humidity = humidity;
    }

    public String getCloudCover() {
        return cloudCover.replace("%", "");
    }

    public void setCloudCover(String cloudCover) {
        this.cloudCover = cloudCover;
    }

    public String getDataDate() {
        return dataDate;
    }

    public void setDataDate(String dataDate) {
        this.dataDate = dataDate;
    }
}
