package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import pps.core.common.entity.BaseModel;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 井口配置表
 *
 * @author ZWT
 * @date 2023/09/08
 */
@Data
@TableName("base_wellhead")
public class BaseWellheadEnt extends BaseModel implements Serializable {

    @XText("组织机构ID")
    @TableField
    private String ouId;

    @XText("组织机构名称")
    @TableField
    private String ouName;

    @XText("井号")
    @TableField
    private String wellNumber;

    @XText("运行类型key(字典获取)")
    @TableField
    private String runTypeKey;

    @XText("运行类型name(字典获取)")
    @TableField
    private String runTypeName;

    @XText("运行功率(KW)")
    @TableField
    private BigDecimal serviceRating;

    @XText("额定功率(KW)")
    @TableField
    private BigDecimal ratedPower;
}
