package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import pps.core.common.entity.BaseModel;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 井口配置表
 *
 * @author ZWT
 * @date 2023/09/08
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class BaseWellheadView extends BaseModel implements Serializable {
    @XText("ID")
    @TableField
    private String id;

    @XText("是否删除(0_是；1_否)")
    @TableField
    private Integer isDeleted;

    @XText("创建人ID")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人ID")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("组织机构ID")
    @TableField
    private String ouId;
    @XText("组织机构name")
    @TableField
    private String ouName;

    @XText("井号")
    @TableField
    private String wellNumber;
    @XText("运行型key(字典获取)")
    @TableField
    private String runTypeKey;
    @XText("运行类型name(字典获取)")
    @TableField
    private String runTypeName;
    @XText("运行功率(KW)")
    @TableField
    private BigDecimal serviceRating;

    @XText("额定功率(KW)")
    @TableField
    private BigDecimal ratedPower;
}
