package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 第三方气象数据
 *
 * @author ZWT
 * @date 2024/04/23
 */
@Data
@TableName("third_weather_data")
public class ThirdWeatherDataEnt implements Serializable {
    @XText("ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    @XText("太阳直接辐射[W/m2]")
    @TableField
    private BigDecimal dni;

    @XText("太阳总辐射（水平面）[W/m2]")
    @TableField
    private BigDecimal ghi;

    @XText("太阳散射辐射（水平面）[W/m2]")
    @TableField
    private BigDecimal dhi;

    @XText("预报时间")
    @TableField
    private Date forecastTime;

    @XText("气温 [C]")
    @TableField
    private BigDecimal tem;

    @XText("相对湿度 [%]")
    @TableField
    private BigDecimal rhu;

    @XText("风速（地面10米）[m/s]")
    @TableField
    private BigDecimal wns;

    @XText("风向角度（地面10米）[degree]")
    @TableField
    private Integer wnd;

    @XText("风力等级（地面10米）")
    @TableField
    private Integer wnsGrd;

    @XText("阵风风速（地面10米）[m/s]")
    @TableField
    private BigDecimal gust;

    @XText("降水量（1小时累计）[mm]")
    @TableField
    private BigDecimal pre;

    @XText("地面气压 [hPa]")
    @TableField
    private BigDecimal prsQfe;

    @XText("能见度 [km]")
    @TableField
    private BigDecimal vis;

    @XText("云量 [%]")
    @TableField
    private BigDecimal clo;

    @XText("紫外线UV辐照度（1小时累计）[kWh/m2]")
    @TableField
    private BigDecimal uvb;

    @XText("紫外线UV辐照指数")
    @TableField
    private Integer uvi;

    @XText("降水相态：(0无降水, 1雨, 3冻雨, 5雪, 6湿雪, 7雨夹雪, 8冰雹)")
    @TableField
    private Integer phs;

    @XText("天气现象代码")
    @TableField
    private Integer wep;

    @XText("风向角度（地面100米）[degree]")
    @TableField
    private Integer wnd100m;

    @XText("风速（地面100米）[m/s]")
    @TableField
    private BigDecimal wns100m;

    @XText("风力等级（地面100米）")
    @TableField
    private Integer wnsGrd100m;

    @XText("天气数据更新时间")
    @TableField
    private Date updateTime;

    @XText("数据创建时间")
    @TableField
    private Date createTime;

    @XText("经度(°)")
    @TableField
    private BigDecimal longitude;

    @XText("纬度(°)")
    @TableField
    private BigDecimal latitude;
}
