package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 第三方风力发电数据(每日最新数据)
 *
 * @author ZWT
 * @date 2024/09/04
 */
@Data
public class ThirdWindPowerGenerationUpdateView implements Serializable {
    @XText("ID")
    @TableField
    private Long id;

    @XText("风电站名称")
    @TableField
    private String stationName;

    @XText("风电站ID")
    @TableField
    private String stationId;

    @XText("采集时间")
    @TableField
    private Date collectTime;

    @XText("实际风速(m/s)")
    @TableField
    private BigDecimal actualWindSpeed;

    @XText("实际功率(kw)")
    @TableField
    private BigDecimal actualPower;

    @XText("实际发电量(kw)")
    @TableField
    private BigDecimal actualGeneration;

    @XText("实际风向")
    @TableField
    private Integer actualWindDirection;

    @XText("录入时间")
    @TableField
    private Date inputTime;

    @XText("来源系统")
    @TableField
    private String systemSource;

    /*---------------------------------- exist = false ----------------------------------*/

    @XText("今日功率(kw)")
    @TableField(exist = false)
    private BigDecimal todayPower;

    @XText("本月功率(kw)")
    @TableField(exist = false)
    private BigDecimal monthPower;

    @XText("同期本月功率(kw)")
    @TableField(exist = false)
    private BigDecimal lastMonthPower;

    @XText("本季功率(kw)")
    @TableField(exist = false)
    private BigDecimal seasonPower;

    @XText("同期本季功率(kw)")
    @TableField(exist = false)
    private BigDecimal lastSeasonPower;

    @XText("本年功率(kw)")
    @TableField(exist = false)
    private BigDecimal yearPower;

    @XText("同期本年功率(kw)")
    @TableField(exist = false)
    private BigDecimal lastYearPower;
}