package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 第三方风力发电数据
 *
 * @author ZWT
 * @date 2024/09/03
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class ThirdWindPowerGenerationView implements Serializable {

    @XText("ID")
    @TableField
    private Long id;

    @XText("风电站名称")
    @TableField
    private String stationName;

    @XText("风电站ID")
    @TableField
    private String stationId;

    @XText("采集时间")
    @TableField
    private Date collectTime;

    @XText("实际风速(m/s)")
    @TableField
    private BigDecimal actualWindSpeed;

    @XText("实际功率(kw)")
    @TableField
    private BigDecimal actualPower;

    @XText("实际发电量(kw)")
    @TableField
    private BigDecimal actualGeneration;

    @XText("实际风向")
    @TableField
    private Integer actualWindDirection;

    @XText("录入时间")
    @TableField
    private Date inputTime;

    @XText("来源系统")
    @TableField
    private String systemSource;

    /*----------------- exist = false -----------------*/

    @XText("开始时间")
    @TableField(exist = false)
    private Date startTime;

    @XText("结束时间")
    @TableField(exist = false)
    private Date endTime;
}
