package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 气象局数据
 *
 * @author ZWT
 * @date 2024/08/30
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class WeatherBureauDataView implements Serializable {
    @XText("ID")
    @TableField
    private Long id;

    @XText("记录时间")
    @TableField
    private Date dataTime;

    @XText("天气图标")
    @TableField
    private String weatherIcon;

    @XText("气温(℃)")
    @TableField
    private BigDecimal airTemperature;

    @XText("降水")
    @TableField
    private String precipitation;

    @XText("风速(m/s)")
    @TableField
    private BigDecimal windSpeed;

    @XText("风向")
    @TableField
    private Integer windDirection;

    @XText("气压(hPa)")
    @TableField
    private BigDecimal pressure;

    @XText("湿度(%)")
    @TableField
    private BigDecimal humidity;

    @XText("云量(%)")
    @TableField
    private BigDecimal cloudCover;

    @XText("地区编码")
    @TableField
    private String areaCode;
}
