package pps.core.base.enums;

import cn.hutool.core.text.CharSequenceUtil;
import com.baomidou.mybatisplus.annotation.EnumValue;
import pps.core.common.enums.DictEnum;

public enum WindDirection implements DictEnum {
    N(90, "东风"),
    S(180, "南风"),
    E(270, "西风"),
    W(0, "北风"),
    NW(45, "东北风"),
    NS(135, "东南风"),
    ES(225, "西南风"),
    EW(315, "西北风"),
    NO(360, "无持续风向");

    @EnumValue
    private Integer value;
    private String desc;

    WindDirection(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public static WindDirection findByValue(String v) {
        for (WindDirection e : values()) {
            if (CharSequenceUtil.equals(e.getDesc(), v)) {
                return e;
            }
        }
        return null;
    }

    public static String findByCode(Integer v) {
        for (WindDirection e : values()) {
            if (v.equals(e.getValue())) {
                return e.getDesc();
            }
        }
        return "无持续风向";
    }

    @Override
    public Integer getValue() {
        return value;
    }

    @Override
    public String getDesc() {
        return desc;
    }
}
