package pps.core.base.excel;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.text.CharSequenceUtil;
import pps.cloud.system.service.SysOrganizationCloudService;
import pps.cloud.system.service.data.sys_organization.GetSysOrganizationViewOutput;
import pps.core.base.utils.ServiceUtil;
import pps.core.common.excel.config.ExcelDynamicSelect;
import xstartup.base.XSelfServiceContext;

import java.util.List;
import java.util.stream.Collectors;

/**
 * 采油厂下拉选
 *
 * @author ZWT
 * @date 2024/05/07 10:28
 */
public class OilExtractionPlantImpl implements ExcelDynamicSelect {

    @Override
    public String[] getSource() {
        XSelfServiceContext build = XSelfServiceContext.build(SysOrganizationCloudService.class);
        List<GetSysOrganizationViewOutput> list = ServiceUtil.getPlantList(build);
        if (CollUtil.isNotEmpty(list)) {
            return CharSequenceUtil.splitToArray(list.stream()
                    .map(GetSysOrganizationViewOutput::getOuName)
                    .collect(Collectors.joining(",")), ",");
        }
        return new String[0];
    }
}