package pps.core.base.excel;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.text.CharSequenceUtil;
import pps.cloud.system.service.SystemDictionaryService;
import pps.cloud.system.service.data.sys_dictionary.GetSysDictionaryViewOutput;
import pps.core.base.utils.ServiceUtil;
import pps.core.common.constant.BusinessConstant;
import pps.core.common.excel.config.ExcelDynamicSelect;
import xstartup.base.XSelfServiceContext;

import java.util.List;
import java.util.stream.Collectors;

/**
 * 运行类型下拉
 *
 * @author ZWT
 * @date 2024/05/09 10:28
 */
public class RunTypeImpl implements ExcelDynamicSelect {

    @Override
    public String[] getSource() {
        XSelfServiceContext build = XSelfServiceContext.build(SystemDictionaryService.class);
        List<GetSysDictionaryViewOutput> list = ServiceUtil.getDictionaryList(build, BusinessConstant.RUN_TYPE);
        if (CollUtil.isNotEmpty(list)) {
            return CharSequenceUtil.splitToArray(list.stream()
                    .map(GetSysDictionaryViewOutput::getDicName)
                    .collect(Collectors.joining(",")), ",");
        }
        return new String[0];
    }
}