package pps.core.base.excel;

import cn.hutool.core.date.DateField;
import cn.hutool.core.date.DateUtil;
import pps.core.common.constant.BusinessConstant;
import pps.core.common.excel.config.ExcelDynamicSelect;

import java.util.List;
import java.util.stream.Collectors;

/**
 * 时段范围下拉
 *
 * @author ZWT
 * @date 2024/05/13
 */
public class TimeRangeImpl implements ExcelDynamicSelect {

    @Override
    public String[] getSource() {
        List<String> collect = DateUtil.rangeToList(DateUtil.beginOfDay(DateUtil.date()),
                        DateUtil.endOfDay(DateUtil.date()), DateField.MINUTE,
                        30)
                .stream()
                .map(d -> d.toString(BusinessConstant.MINUTES_FORMAT))
                .collect(Collectors.toList());
        collect.add(BusinessConstant.END_OF_DAY_TIME);
        return collect.toArray(new String[0]);
    }
}