package pps.core.base.excel;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.read.listener.ReadListener;
import pps.core.base.service.BaseLineService;
import pps.core.base.service.data.base_excel.WindPredictionExcelData;
import xstartup.base.XContext;

import java.util.ArrayList;
import java.util.List;

/**
 * 风资源数据
 *
 * @author ZWT
 * @date 2024/08/30 15:46
 */
public class WindPredictionDataListener implements ReadListener<WindPredictionExcelData> {

    private XContext context;
    private String stationId;
    /**
     * 缓存的数据
     */
    private List<WindPredictionExcelData> cachedDataList = new ArrayList<>(4096);

    public WindPredictionDataListener(XContext context, String stationId) {
        this.context = context;
        this.stationId = stationId;

    }

    @Override
    public void invoke(WindPredictionExcelData windPredictionExcelData, AnalysisContext analysisContext) {
        cachedDataList.add(windPredictionExcelData);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        BaseLineService bean = context.getBean(BaseLineService.class);
        bean.saveWindPredictionHistory(context, cachedDataList, stationId);
    }
}
