package pps.core.base.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.base.entity.BasePhotovoltaicPlantView;

import java.util.List;

/**
 * 光伏电站
 *
 * @author ZWT
 * @date 2023/10/10
 */
@Repository(value = "pps.core.base.mapper.BasePhotovoltaicPlantViewMapper")
public interface BasePhotovoltaicPlantViewMapper {
    BasePhotovoltaicPlantView selectOne(BasePhotovoltaicPlantView record);

    List<BasePhotovoltaicPlantView> selectList(BasePhotovoltaicPlantView record);

    List<BasePhotovoltaicPlantView> selectPlantDetailList(BasePhotovoltaicPlantView record);

    /**
     * 获得所有可用的电站
     *
     * @return {@link List}<{@link BasePhotovoltaicPlantView}>
     */
    List<BasePhotovoltaicPlantView> selectPlantList(BasePhotovoltaicPlantView view);

    /**
     * 批插入列表
     *
     * @param list 列表
     * @return int
     */
    int batchInsertList(@Param(value = "list") List<BasePhotovoltaicPlantView> list);

    /**
     * 选择工厂策略列表
     *
     * @return {@link List }<{@link BasePhotovoltaicPlantView }>
     */
    List<BasePhotovoltaicPlantView> selectPlantStrategyList();
}
