package pps.core.base.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.base.entity.BasePowerLineDieselView;

import java.util.List;

/**
 * 输电线路柴发设备配置
 *
 * @author ZWT
 * @date 2023/08/28
 */
@Repository(value = "pps.core.base.mapper.BasePowerLineDieselViewMapper")
public interface BasePowerLineDieselViewMapper {
    BasePowerLineDieselView selectOne(BasePowerLineDieselView record);

    /**
     * 输电线路柴发设备配置列表
     *
     * @param record 记录
     * @return {@link List}<{@link BasePowerLineDieselView}>
     */
    List<BasePowerLineDieselView> selectList(BasePowerLineDieselView record);

    /**
     * 批量新增
     *
     * @param list 列表
     * @return int
     */
    int batchInsertList(@Param(value = "list") List<BasePowerLineDieselView> list);
}
