package pps.core.base.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.base.entity.BasePowerLineStorageView;

import java.util.Collection;
import java.util.List;

/**
 * 输电线路储能配置
 *
 * @author ZWT
 * @date 2023/08/28
 */
@Repository(value = "pps.core.base.mapper.BasePowerLineStorageViewMapper")
public interface BasePowerLineStorageViewMapper {
    BasePowerLineStorageView selectOne(BasePowerLineStorageView record);

    /**
     * 输电线路储能配置列表
     *
     * @param record 记录
     * @return {@link List}<{@link BasePowerLineStorageView}>
     */
    List<BasePowerLineStorageView> selectList(BasePowerLineStorageView record);

    /**
     * 批量新增
     *
     * @param list 列表
     * @return int
     */
    int batchInsertList(@Param(value = "list") List<BasePowerLineStorageView> list);

    /**
     * 按行ID选择存储平均值
     *
     * @param lineIds 线路ID
     * @return {@link List}<{@link BasePowerLineStorageView}>
     */
    List<BasePowerLineStorageView> selectStorageAverageByLineIds(@Param(value = "list") Collection<String> lineIds);
}
