package pps.core.base.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.base.entity.BasePowerLineWellheadView;

import java.util.List;

/**
 * 输电线路井口配置
 *
 * @author ZWT
 * @date 2023/08/28
 */
@Repository(value = "pps.core.base.mapper.BasePowerLineWellheadViewMapper")
public interface BasePowerLineWellheadViewMapper {
    BasePowerLineWellheadView selectOne(BasePowerLineWellheadView record);

    /**
     * 输电线路井口配置列表
     *
     * @param record 记录
     * @return {@link List}<{@link BasePowerLineWellheadView}>
     */
    List<BasePowerLineWellheadView> selectList(BasePowerLineWellheadView record);

    /**
     * 条件查询井口信息
     *
     * @param record 记录
     * @return {@link List}<{@link BasePowerLineWellheadView}>
     */
    List<BasePowerLineWellheadView> selectWellheadListByParam(BasePowerLineWellheadView record);

    /**
     * 批量新增
     *
     * @param list 列表
     * @return int
     */
    int batchInsertList(@Param(value = "list") List<BasePowerLineWellheadView> list);

    /**
     * 通过电站ID查井口
     *
     * @param record 记录
     * @return {@link List}<{@link BasePowerLineWellheadView}>
     */
    List<BasePowerLineWellheadView> selectWellheadListByPlant(BasePowerLineWellheadView record);
}
