package pps.core.base.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.base.entity.BaseWindTurbineView;

import java.util.List;

/**
 * 基础风机电站
 *
 * @author ZWT
 * @date 2024/08/28
 */
@Repository(value = "pps.core.base.mapper.BaseWindTurbineViewMapper")
public interface BaseWindTurbineViewMapper {

    List<BaseWindTurbineView> selectList(BaseWindTurbineView record);

    /**
     * 风机电站详情
     *
     * @param id 身份证件
     * @return {@link BaseWindTurbineView }
     */
    BaseWindTurbineView selectOne(@Param(value = "id") String id);

    /**
     * 风机列表
     *
     * @param record 记录
     * @return {@link List }<{@link BaseWindTurbineView }>
     */
    List<BaseWindTurbineView> selectWindTurbineList(BaseWindTurbineView record);
}
