package pps.core.base.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.base.entity.ThirdWindPowerGenerationView;

import java.util.List;

/**
 * 第三方风力发电数据
 *
 * @author ZWT
 * @date 2024/09/03
 */
@Repository(value = "pps.core.base.mapper.ThirdWindPowerGenerationViewMapper")
public interface ThirdWindPowerGenerationViewMapper {

    ThirdWindPowerGenerationView selectOne(ThirdWindPowerGenerationView record);

    List<ThirdWindPowerGenerationView> selectList(ThirdWindPowerGenerationView record);

    /**
     * 生成模拟数据
     *
     * @param record 记录
     * @return {@link List }<{@link ThirdWindPowerGenerationView }>
     */
    List<ThirdWindPowerGenerationView> generateSimulatedData(ThirdWindPowerGenerationView record);

    /**
     * 批量插入
     *
     * @param list 列表
     * @return int
     */
    int batchInsert(@Param(value = "list") List<ThirdWindPowerGenerationView> list);
}
