package pps.core.base.mapper;

import cn.hutool.core.date.DateTime;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.base.entity.WeatherBureauDataView;

import java.util.List;

/**
 * 气象局数据
 *
 * @author ZWT
 * @date 2024/08/30
 */
@Repository(value = "pps.core.base.mapper.WeatherBureauDataViewMapper")
public interface WeatherBureauDataViewMapper {
    WeatherBureauDataView selectOne(WeatherBureauDataView record);

    List<WeatherBureauDataView> selectList(WeatherBureauDataView record);

    /**
     * 批量删除
     *
     * @param deleteList 删除列表
     * @param create     创造
     * @param end        结束
     * @return int
     */
    int deleteBatch(@Param(value = "list") List<String> deleteList, @Param(value = "create") DateTime create, @Param(value = "end") DateTime end);

    /**
     * 批量新增
     *
     * @param list 列表
     * @return int
     */
    int insertBatch(List<WeatherBureauDataView> list);
}
