package pps.core.base.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.base.entity.WindPredictionHistoryView;

import java.util.Date;
import java.util.List;

/**
 * 风预测历史数据
 *
 * @author ZWT
 * @date 2024/08/29
 */
@Repository(value = "pps.core.base.mapper.WindPredictionHistoryViewMapper")
public interface WindPredictionHistoryViewMapper {
    WindPredictionHistoryView selectOne(WindPredictionHistoryView record);

    List<WindPredictionHistoryView> selectList(WindPredictionHistoryView record);

    /**
     * 按时间范围删除
     *
     * @param startTime 开始时间
     * @param endTime   结束时间
     * @return int
     */
    int deleteByTimeRange(@Param(value = "startTime") Date startTime, @Param(value = "endTime") Date endTime);

    /**
     * 批量插入
     *
     * @param list 列表
     * @return int
     */
    int batchInsert(@Param(value = "list") List<WindPredictionHistoryView> list);
}
