package pps.core.base.service;


import cn.hutool.core.text.CharSequenceUtil;
import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import org.jsoup.Jsoup;
import org.jsoup.nodes.Document;
import org.jsoup.nodes.Element;
import org.jsoup.select.Elements;
import pps.core.base.entity.BaseWatherEnt;
import pps.core.base.mapper.WeatherDataMapper;
import pps.core.base.service.data.base_wather.GetBaseWatherInput;
import xstartup.annotation.XService;
import xstartup.base.XContext;
import xstartup.base.util.XHttpUtils;
import xstartup.core.base.helper.XThreadHelper;
import xstartup.data.XServiceResult;
import xstartup.feature.api.annotation.XApiGet;

import java.net.URL;
import java.text.SimpleDateFormat;
import java.time.LocalTime;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Date;
import java.util.List;


@XService
public class BaseWatherService {

    public static void insertData(XContext context, String provinceCode, String provinceName, String cityCode, String cityName, int runCount) {
        String url = "http://weather.cma.cn/web/weather/" + cityCode + ".html";
        try {
            WeatherDataMapper mapper = context.getBean(WeatherDataMapper.class);
            Document document = Jsoup.parse(new URL(url), 30000);
            Elements elements = document.getElementsByClass("mt15"); // 获取class name 是‘mt15’的都有元素对象
            Element element;
            if (elements.isEmpty()) {
                return;
            } else {
                element = elements.get(1); //根据页面结构获取到需要的元素对象
            }
            Elements tables = element.getElementsByTag("table");
            SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
            List<String> hourTimeArray;// 时间
            List<String> weatherArray; // 天气
            List<String> temperatureArray; // 气温
            List<String> precipitationArray; // 降水
            List<String> windSpeedArray; // 风速
            List<String> windDirectionArray; // 风向
            List<String> pressureArray; // 气压
            List<String> humidityArray;// 湿度
            List<String> cloudCoverArray; // 云量
            Date date;
            Calendar calendar;
            String dayTime;
            BaseWatherEnt dao;
            List<BaseWatherEnt> objList = new ArrayList<>();
            if (!tables.isEmpty()) {
                for (int i = 0; i < tables.size(); i++) {
                    calendar = Calendar.getInstance();
                    calendar.add(Calendar.DATE, i);
                    date = calendar.getTime();
                    dayTime = sdf.format(date);
                    Elements trs = tables.get(i).select("tr");
                    hourTimeArray = new ArrayList<>();// 时间
                    weatherArray = new ArrayList<>(); // 天气
                    temperatureArray = new ArrayList<>(); // 气温
                    precipitationArray = new ArrayList<>(); // 降水
                    windSpeedArray = new ArrayList<>(); // 风速
                    windDirectionArray = new ArrayList<>(); // 风向
                    pressureArray = new ArrayList<>(); // 气压
                    humidityArray = new ArrayList<>(); // 湿度
                    cloudCoverArray = new ArrayList<>(); // 云量
                    if (!trs.isEmpty()) {
                        for (int j = 0; j < trs.size(); j++) { // 循环行
                            Elements tds = trs.get(j).select("td");
                            for (int k = 1; k < tds.size(); k++) { // 循环列
                                Element td = tds.get(k);
                                String td_text;
                                if ("wicon".equals(td.className()))
                                    td_text = td.getElementsByTag("img").attr("src");
                                else
                                    td_text = td.text();
                                if (j == 0)
                                    hourTimeArray.add(td_text);
                                if (j == 1)
                                    weatherArray.add(td_text);
                                if (j == 2)
                                    temperatureArray.add(td_text);
                                if (j == 3)
                                    precipitationArray.add(td_text);
                                if (j == 4)
                                    windSpeedArray.add(td_text);
                                if (j == 5)
                                    windDirectionArray.add(td_text);
                                if (j == 6)
                                    pressureArray.add(td_text);
                                if (j == 7)
                                    humidityArray.add(td_text);
                                if (j == 8)
                                    cloudCoverArray.add(td_text);
                            }
                        }
                    }
                    int Hous = 0;
                    for (int y = 0; y < 8; y++) {
                        dao = new BaseWatherEnt();
                        dao.setCityCode(cityCode);
                        dao.setCityName(cityName);
                        dao.setProvinceCode(provinceCode);
                        dao.setProvinceName(provinceName);
                        dao.setHourTime(hourTimeArray.get(y));
                        dao.setWeather(weatherArray.get(y));
                        dao.setTemperature(temperatureArray.get(y));
                        dao.setPrecipitation(precipitationArray.get(y));
                        dao.setWindSpeed(windSpeedArray.get(y));
                        dao.setWindDirection(windDirectionArray.get(y));
                        dao.setPressure(pressureArray.get(y));
                        dao.setHumidity(humidityArray.get(y));
                        dao.setCloudCover(cloudCoverArray.get(y));
                        //由于界面时间为当日8点到第二日5点数据，所以写了下面的判断分支
                        if (Hous == 0 || Hous <= LocalTime.parse(hourTimeArray.get(y)).getHour()) {
                            dao.setDayTime(dayTime);
                            Hous = LocalTime.parse(hourTimeArray.get(y)).getHour();
                        } else if (2 == LocalTime.parse(hourTimeArray.get(y)).getHour() || 5 == LocalTime.parse(hourTimeArray.get(y)).getHour()) {
                            calendar = Calendar.getInstance();
                            calendar.add(Calendar.DATE, (i + 1));
                            date = calendar.getTime();
                            dayTime = sdf.format(date);
                            dao.setDayTime(dayTime);
                        } else
                            continue;
                        // 5.执行SQL
                        mapper.delete(new LambdaQueryWrapper<BaseWatherEnt>().eq(BaseWatherEnt::getProvinceCode, dao.getProvinceCode())
                                .eq(BaseWatherEnt::getCityCode, dao.getCityCode())
                                .eq(BaseWatherEnt::getDataDate, dao.getDayTime() + ' ' + dao.getHourTime()));
                        dao.setDataDate(dao.getDayTime() + ' ' + dao.getHourTime());
                        mapper.insert(dao);
                        objList.add(dao);
                    }
                }
                // 原站点时间结构为：08:00	11:00	14:00	17:00	20:00	23:00	02:00	05:00
                // 两条数据中间差了两个小时，使用上下两条数据推算出中间差掉的两个小时
                for (int i = 0; i < objList.size() - 1; i++) {
                    for (int y = 1; y < 3; y++) {
                        dao = new BaseWatherEnt();
                        dao.setCityCode(cityCode);
                        dao.setCityName(cityName);
                        dao.setProvinceCode(provinceCode);
                        dao.setProvinceName(provinceName);
                        dao.setWeather(objList.get(i).getWeather());
                        int I_i = i + 1;
                        double temperature_1 = Double.parseDouble(objList.get(i).getTemperature());
                        double temperature_2 = Double.parseDouble(objList.get(I_i).getTemperature());
                        dao.setTemperature((temperature_1 + (temperature_2 - temperature_1) * (0.3 * y)) + "℃");
                        dao.setPrecipitation(objList.get(i).getPrecipitation());
                        double windspeed_1 = Double.parseDouble(objList.get(i).getWindSpeed());
                        double windspeed_2 = Double.parseDouble(objList.get(I_i).getWindSpeed());
                        dao.setWindSpeed((windspeed_1 + (windspeed_2 - windspeed_1) * (0.3 * y)) + "m/s");
                        dao.setWindDirection(objList.get(i).getWindDirection());
                        double pressure_1 = Double.parseDouble(objList.get(i).getPressure());
                        double pressure_2 = Double.parseDouble(objList.get(I_i).getPressure());
                        dao.setPressure((pressure_1 + (pressure_2 - pressure_1) * (0.3 * y)) + "hPa");
                        double humidity_1 = Double.parseDouble(objList.get(i).getHumidity());
                        double humidity_2 = Double.parseDouble(objList.get(I_i).getHumidity());
                        dao.setHumidity((humidity_1 + (humidity_2 - humidity_1) * (0.3 * y)) + "%");
                        double cloudcover_1 = Double.parseDouble(objList.get(i).getCloudCover());
                        double cloudcover_2 = Double.parseDouble(objList.get(I_i).getCloudCover());
                        dao.setCloudCover((cloudcover_1 + (cloudcover_2 - cloudcover_1) * (0.3 * y)) + "%");
                        if (23 == LocalTime.parse(objList.get(i).getHourTime()).getHour()) {
                            date = sdf.parse(objList.get(i).getDayTime());
                            calendar = Calendar.getInstance();
                            calendar.setTime(date);
                            calendar.add(Calendar.DAY_OF_MONTH, 1);
                            Date tomorrow = calendar.getTime();
                            dao.setDayTime(sdf.format(tomorrow));
                            dao.setHourTime("0" + (y - 1) + ":00:00");
                        } else {
                            dao.setDayTime(objList.get(i).getDayTime());
                            String Hour;
                            if ((LocalTime.parse(objList.get(i).getHourTime()).getHour() + y) < 10) {
                                Hour = "0" + (LocalTime.parse(objList.get(i).getHourTime()).getHour() + y) + ":00:00";
                            } else {
                                Hour = (LocalTime.parse(objList.get(i).getHourTime()).getHour() + y) + ":00:00";
                            }
                            dao.setHourTime(Hour);
                        }
                        // 5.执行SQL
                        mapper.delete(new LambdaQueryWrapper<BaseWatherEnt>()
                                .eq(BaseWatherEnt::getProvinceCode, dao.getProvinceCode())
                                .eq(BaseWatherEnt::getCityCode, dao.getCityCode())
                                .eq(BaseWatherEnt::getDataDate, dao.getDayTime() + ' ' + dao.getHourTime()));
                        dao.setDataDate(dao.getDayTime() + ' ' + dao.getHourTime());
                        mapper.insert(dao);
                    }
                }
            }
        } catch (Exception e) {
            context.getLogger().error(e.getMessage());
        }
    }

    @XApiGet
    public XServiceResult crawlBaseWeaterData(XContext context, GetBaseWatherInput input) {
        try {
            String provinceUrl = "http://weather.cma.cn/api/dict/province";
            String cityUrl = "http://weather.cma.cn/api/dict/province/";
            //请求省份接口。获取省份列表
            String provinceStr = XHttpUtils.postAsJson(provinceUrl);
            //解析省份列表字符串，把字符串解析成json对象
            JSONObject jsonObject = JSONObject.parseObject(provinceStr);
            //处理json对象，变为数组
            String[] provinceList = CharSequenceUtil.splitToArray(jsonObject.getString("data"), '|');
            for (String proStr : provinceList) {
                if (CharSequenceUtil.isNotBlank(proStr)) {
                    String[] pro = CharSequenceUtil.splitToArray(proStr, ',');
                    String provinceCode = pro[0];//省编码
                    String provinceName = pro[1];//省名称
                    //甘肃 .陕西 （全国周期抓取耗费时间超长，共有2400个城市）
                    if (CharSequenceUtil.equals(provinceCode, "AJL")) {
                        //请求省份下的区信息
                        String cityString = XHttpUtils.postAsJson(provinceUrl + provinceCode);
                        //解析区json，把字符串解析成json对象
                        JSONObject cityObj = JSONObject.parseObject(cityString);
                        //处理json对象，变为数组
                        String[] cityList = CharSequenceUtil.splitToArray(cityObj.getString("data"), '|');
                        for (String cityStr : cityList) {
                            if (CharSequenceUtil.isNotBlank(cityStr)) {
                                String[] city = CharSequenceUtil.splitToArray(cityStr, ',');
                                String cityCode = city[0];//区编码
                                String cityName = city[1];//区名称
                                XThreadHelper.async(() -> insertData(context, provinceCode, provinceName, cityCode, cityName, 1));
                            }
                        }
                    }
                }
            }
        } catch (Exception e) {
            context.getLogger().error(e.getMessage());
        }
        return XServiceResult.OK;
    }

    @XApiGet
    public XServiceResult crawlBaseWeaterDataByCityCode(XContext context, GetBaseWatherInput input) {
        insertData(context, "ASN", "陕西", "57022", "麟游", 1);
        return XServiceResult.OK;
    }
}