package pps.core.base.service;

import pps.cloud.base.service.IConfigOilFieldCloudService;
import pps.cloud.base.service.data.config_oil_field.GetConfigOilFieldOutput;
import xstartup.annotation.XService;
import xstartup.base.XContext;
import xstartup.base.util.XCopyUtils;
import xstartup.data.XSingleResult;

/**
 * 油田配置Cloud模块
 *
 * @author ZWT
 * @date 2024/06/25 14:13
 */
@XService
public class ConfigOilFieldCloudServiceImpl implements IConfigOilFieldCloudService {

    /**
     * 获取当前油田配置
     *
     * @param context 上下文
     * @return {@link XSingleResult }<{@link GetConfigOilFieldOutput }>
     */
    @Override
    public XSingleResult<GetConfigOilFieldOutput> getCurrentConfig(XContext context) {
        ConfigOilFieldService bean = context.getBean(ConfigOilFieldService.class);
        return XSingleResult.success(XCopyUtils.copyNewObject(bean.getCurrentConfig(context).getResult(),
                GetConfigOilFieldOutput.class));
    }
}