package pps.core.base.service.data.base_diesel_generator;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 柴发设备
 *
 * @author ZWT
 * @date 2023/10/20
 */
@Data
public class CreateBaseDieselGeneratorInput {

    @XText("组织机构ID")
    @NotBlank(message = "缺少组织机构ID")
    private String ouId;

    @XText("组织机构name")
    private String ouName;

    @XText("设备名称")
    @NotBlank(message = "缺少设备名称")
    private String deviceName;

    @XText("出厂编号")
    @NotBlank(message = "缺少出厂编号")
    private String makerNumber;

    @XText("柴发设备机组型号key(字典获取)")
    private String unitTypeKey;

    @XText("柴发设备机组型号name(字典获取)")
    private String unitTypeName;

    @XText("常用功率(KW)")
    @NotNull(message = "缺少常用功率")
    private BigDecimal normalPower;

    @XText("备用功率(KW)")
    @NotNull(message = "缺少备用功率")
    private BigDecimal standbyPower;
}
