package pps.core.base.service.data.base_energy_storage_device;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 储能设备
 *
 * @author ZWT
 * @date 2023/10/20
 */
@Data
public class CreateBaseEnergyStorageDeviceInput {

    @XText("组织机构ID")
    @NotBlank(message = "缺少组织机构ID")
    private String ouId;

    @XText("组织机构name")
    private String ouName;

    @XText("设备名称")
    @NotBlank(message = "缺少设备名称")
    private String deviceName;

    @XText("出厂编号")
    @NotBlank(message = "缺少出厂编号")
    private String makerNumber;

    @XText("储能设备规格型号key(字典获取)")
    private String storageModelKey;

    @XText("储能设备规格型号name(字典获取)")
    private String storageModelName;

    @XText("设备容量(KWh)")
    @NotNull(message = "缺少设备容量")
    private BigDecimal apparatusCapacity;

    @XText("额定放电功率(KW)")
    @NotNull(message = "缺少额定放电功率")
    private BigDecimal ratedDischargePower;

    @XText("额定充电功率(KW)")
    @NotNull(message = "缺少额定充电功率")
    private BigDecimal ratedChargingPower;

    @XText("额定放电深度")
    @NotNull(message = "缺少额定放电深度")
    private BigDecimal ratedDischargeDepth;

    @XText("额定放电效率")
    @NotNull(message = "缺少额定放电效率")
    private BigDecimal ratedDischargeEfficiency;
}
