package pps.core.base.service.data.base_energy_storage_device;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 储能设备
 *
 * @author ZWT
 * @date 2023/09/25
 */
@Data
public class QueryBaseEnergyStorageDeviceOutput {

    @XText("ID")
    private String id;

    @XText("组织机构ID")
    private String ouId;

    @XText("组织机构name")
    private String ouName;

    @XText("设备名称")
    private String deviceName;

    @XText("出厂编号")
    private String makerNumber;

    @XText("储能设备规格型号key(字典获取)")
    private String storageModelKey;

    @XText("储能设备规格型号name(字典获取)")
    private String storageModelName;

    @XText("设备容量(KWh)")
    private BigDecimal apparatusCapacity;

    @XText("额定放电功率(KW)")
    private BigDecimal ratedDischargePower;

    @XText("额定充电功率(KW)")
    private BigDecimal ratedChargingPower;

    @XText("额定放电深度")
    @TableField
    private BigDecimal ratedDischargeDepth;

    @XText("额定放电效率")
    @TableField
    private BigDecimal ratedDischargeEfficiency;
}
