package pps.core.base.service.data.base_photovoltaic_plant;

import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 光伏电站
 *
 * @author ZWT
 * @date 2023/10/10
 */
@Data
public class GetBasePhotovoltaicPlantOutput {

    @XText("ID")
    private String id;

    @XText("组织机构ID")
    private String ouId;

    @XText("电站名称")
    private String stationName;

    @XText("出厂编号")
    private String makerNumber;

    @XText("光伏设备规格型号key(字典获取)")
    private String photovoltaicModelKey;

    @XText("安装倾角")
    private BigDecimal mountingAngle;

    @XText("装机总量(KWP)")
    private BigDecimal totalPower;

    @XText("阵列朝向")
    private BigDecimal arrayOrientation;

    @XText("组织机构name")
    private String ouName;

    @XText("光伏设备规格型号name(字典获取)")
    private String photovoltaicModelName;

    @XText("所在地区")
    private String province;

    @XText("经度(°)")
    private BigDecimal longitude;

    @XText("纬度(°)")
    private BigDecimal latitude;

    @XText("高程(m)")
    private BigDecimal elevation;

    @XText("地区编码")
    private Integer areaCode;

    @XText("地区名称")
    private String areaName;

    @XText("准确率")
    private String mape;
}
