package pps.core.base.service.data.base_photovoltaic_plant;

import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 光伏电站
 *
 * @author ZWT
 * @date 2024/05/09
 */
@Data
public class GetSysOrganizationAndPlantViewOutput {
    @XText("主键")
    private String id;

    @XText("组织机构编码")
    private String ouCode;

    @XText("组织机构名称")
    private String ouName;

    @XText("简称")
    private String shortName;

    @XText("单位级别（从系统字典中来）")
    private String ouLevel;

    @XText("描述")
    private String description;

    @XText("创建人")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("邮编")
    private String postCode;

    @XText("地址")
    private String postAddress;

    @XText("传真")
    private String faxNo;

    @XText("电话")
    private String phone;

    @XText("国家")
    private String country;

    @XText("省份")
    private Integer province;

    @XText("父级id")
    private String parentOuId;

    private String type;

    @XText("经度")
    private BigDecimal longitude;

    @XText("纬度")
    private BigDecimal latitude;

    @XText("高程")
    private BigDecimal elevation;

    @XText("地区编码")
    private Integer areaCode;
}
