package pps.core.base.service.data.base_photovoltaic_plant;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 光伏电站
 *
 * @author ZWT
 * @date 2023/10/10
 */
@Data
public class UpdateBasePhotovoltaicPlantInput {

    @XText("ID")
    @NotBlank(message = "缺少电站ID")
    private String id;

    @XText("组织机构ID")
    @NotBlank(message = "缺少组织机构ID")
    private String ouId;

    @XText("组织机构name")
    private String ouName;

    @XText("电站名称")
    @NotBlank(message = "缺少电站名称")
    private String stationName;

    @XText("出厂编号")
    private String makerNumber;

    @XText("光伏设备规格型号key(字典获取)")
    private String photovoltaicModelKey;

    @XText("光伏设备规格型号name(字典获取)")
    private String photovoltaicModelName;

    @XText("安装倾角")
    @NotNull(message = "缺少安装倾角")
    private BigDecimal mountingAngle;

    @XText("装机总量(KWP)")
    @NotNull(message = "缺少装机总量")
    private BigDecimal totalPower;

    @XText("阵列朝向")
    @NotNull(message = "缺少阵列朝向")
    private BigDecimal arrayOrientation;

    @XText("经度(°)")
    @NotNull(message = "缺少经度")
    private BigDecimal longitude;

    @XText("纬度(°)")
    @NotNull(message = "缺少纬度")
    private BigDecimal latitude;

    @XText("高程(m)")
    @NotNull(message = "缺少高程")
    private BigDecimal elevation;

    @XText("地区编码")
    @NotNull(message = "缺少地区编码")
    private Integer areaCode;
}