package pps.core.base.service.data.base_power_line;

import jakarta.validation.Valid;
import lombok.Data;
import pps.core.base.service.data.base_power_line_diesel.GetBasePowerLineDieselViewOutput;
import pps.core.base.service.data.base_power_line_plant.GetBasePowerLinePlantViewOutput;
import pps.core.base.service.data.base_power_line_storage.GetBasePowerLineStorageViewOutput;
import pps.core.base.service.data.base_power_line_wellhead.GetBasePowerLineWellheadViewOutput;
import xstartup.annotation.XText;

import java.util.List;

/**
 * 输电线路配置
 *
 * @author ZWT
 * @date 2023/08/28
 */
@Data
public class GetBasePowerLineViewOutput {

    @XText("ID")
    private String id;

    @XText("组织机构ID")
    private String ouId;

    @XText("上级线路ID")
    private String upperLineId;

    @XText("线路名称")
    private String lineName;

    @XText("电网类型key(字典获取)")
    private String gridTypeKey;

    @XText("线路类型key(字典获取)")
    private String lineTypeKey;

    @XText("市电峰谷配置ID")
    private String strategyId;

    @XText("是否激活共享调度(0_激活;1_关闭)")
    private Integer isShareDispatch;

    @XText("是否激活返输调度(0_激活;1_关闭)")
    private Integer isReverseDispatch;

    @XText("启动间隔(分钟)")
    private Integer startInterval;

    /**
     * 策略名称
     */
    @XText("策略名称")
    private String policyName;

    /**
     * 上级线路名称
     */
    @XText("上级线路名称")
    private String upperLineName;

    /**
     * 电网类型名称
     */
    @XText("电网类型名称")
    private String gridTypeName;

    /**
     * 线路类型名称
     */
    @XText("线路类型名称")
    private String lineTypeName;

    /**
     * 组织机构名称
     */
    @XText("组织机构名称")
    private String ouName;

    /**
     * 输电线路柴发设备配置
     */
    @XText("输电线路柴发设备配置")
    @Valid
    private List<GetBasePowerLineDieselViewOutput> dieselInputs;

    /**
     * 输电线路光伏配置
     */
    @XText("输电线路光伏配置")
    @Valid
    private List<GetBasePowerLinePlantViewOutput> plantInputs;

    /**
     * 输电线路储能配置
     */
    @XText("输电线路储能配置")
    @Valid
    private List<GetBasePowerLineStorageViewOutput> storageInputs;

    /**
     * 输电线路井口配置
     */
    @XText("输电线路井口配置")
    @Valid
    private List<GetBasePowerLineWellheadViewOutput> wellheadInputs;
}
