package pps.core.base.service.data.base_price_strategy;

import jakarta.validation.Valid;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import pps.core.base.service.data.base_price_strategy_month.UpdateBasePriceStrategyMonthInput;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.List;

/**
 * 更新市电峰谷配置入参
 *
 * @author ZWT
 * @date 2023/08/24
 */
@Data
public class UpdateBasePriceStrategyInput {

    @XText("ID")
    @NotBlank(message = "缺少策略ID")
    private String id;

    @XText("策略名称")
    private String policyName;

    @XText("适用地区编码")
    private Integer areaCode;

    @XText("年份")
    private String strategyYear;

    @XText("是否固定电价(0_是;1_否)")
    private Integer isFixedPrice;

    @XText("固定电价")
    private BigDecimal fixedElectricityPrice;

    /**
     * 月份入参
     */
    @XText("月份入参")
    @Valid
    private List<UpdateBasePriceStrategyMonthInput> months;
}
