package pps.core.base.service.data.base_wind_turbine;

import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;


/**
 * 风机运行情况
 *
 * @author ZWT
 * @date 2024/09/02
 */
@Data
public class GetBaseWindTurbineViewOutput {

    /*------------------基本信息------------------*/

    @XText("风机电站名称")
    private String stationName;

    @XText("装机总量(KWP)")
    private BigDecimal totalPower;

    @XText("风轮直径(m)")
    private BigDecimal diameter;

    @XText("叶片长度(m)")
    private BigDecimal vaneLength;

    @XText("轮毂高度(m)")
    private BigDecimal hubHeight;

    @XText("地区名称")
    private String areaName;

    @XText("型号")
    private String modelNumber;

    /*------------------第三方推送信息------------------*/

    @XText("日发电量(kWh)")
    private BigDecimal dailyGeneration;

    @XText("总发电量(kWh)")
    private BigDecimal grossGeneration;

    @XText("运行时长(h)")
    private BigDecimal runTime;

    @XText("有功功率(kW)")
    private BigDecimal activePower;

    @XText("运行状态")
    private String runState;

    @XText("实际风速(m/s)")
    private BigDecimal actualWindSpeed;

    /*------------------天气预报------------------*/

    @XText("风向")
    private String windDirection;

    @XText("预报风速(m/s)")
    private BigDecimal windSpeed;

    @XText("气温(℃)")
    private BigDecimal airTemperature;

    @XText("湿度(%)")
    private BigDecimal humidity;

    @XText("气压(hPa)")
    private BigDecimal pressure;
}
