package pps.core.base.service.data.base_wind_turbine;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 发电功率预测
 *
 * @author ZWT
 * @date 2024/09/03
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetPowerGenerationTrendOutput {

    @XText("时间")
    private Date dataTime;

    @XText("中期预测功率(kW)")
    private BigDecimal midPredictedPower;

    @XText("短期预测功率(kW)")
    private BigDecimal shortPredictedPower;

    @XText("超短期预测功率(kW)")
    private BigDecimal ultraShortPredictedPower;

    @XText("实际功率(kw)")
    private BigDecimal actualPower;
}
