package pps.core.base.service.data.base_wind_turbine;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.List;

/**
 * 风力统计
 *
 * @author ZWT
 * @date 2024/09/03
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetWindPowerStatisticsOutput {

    @XText("最大风速(m/s)")
    private BigDecimal maxWindSpeed = BigDecimal.ZERO;

    @XText("最小风速(m/s)")
    private BigDecimal minWindSpeed = BigDecimal.ZERO;

    @XText("平均风速(m/s)")
    private BigDecimal avgWindSpeed = BigDecimal.ZERO;

    @XText("风速列表")
    private List<GetHistoricalWindSpeedOutput> speedList;
}
