package pps.core.base.service.data.base_wind_turbine;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 风电站运行状态
 *
 * @author ZWT
 * @date 2024/09/02 17:55
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetWindTurbineRunStatusOutput {

    @XText("风机电站ID")
    private String stationId;

    @XText("风机电站名称")
    private String stationName;

    @XText("运行状态(启动/停用/故障)")
    private String runState;

    @XText("有功功率(kW)")
    private BigDecimal activePower;

    @XText("实际风速(m/s)")
    private BigDecimal actualWindSpeed;
}
