package pps.core.base.service.data.base_wind_turbine;

import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 基础风机电站
 *
 * @author ZWT
 * @date 2024/08/28
 */
@Data
public class QueryBaseWindTurbineViewOutput {

    @XText("ID")
    private String id;

    @XText("组织机构名称")
    private String ouName;

    @XText("风机电站名称")
    private String stationName;

    @XText("装机总量(KWP)")
    private BigDecimal totalPower;

    @XText("风轮直径(m)")
    private BigDecimal diameter;

    @XText("叶片长度(m)")
    private BigDecimal vaneLength;

    @XText("轮毂高度(m)")
    private BigDecimal hubHeight;

    @XText("经度(°)")
    private BigDecimal longitude;

    @XText("纬度(°)")
    private BigDecimal latitude;

    @XText("高程(m)")
    private BigDecimal elevation;

    @XText("地区编码")
    private Integer areaCode;
}
