package pps.core.base.service.data.base_wind_turbine;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import pps.core.base.service.data.base_wind_tower.BaseWindTowerInput;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.List;

/**
 * 基础风机电站
 *
 * @author ZWT
 * @date 2024/08/28
 */
@Data
public class UpdateBaseWindTurbineInput {

    @XText("ID")
    @NotBlank(message = "缺少风机电站ID")
    private String id;

    @XText("组织机构ID")
    @NotBlank(message = "缺少组织机构ID")
    private String ouId;

    @XText("组织机构名称")
    @NotBlank(message = "缺少组织机构名称")
    private String ouName;

    @XText("风机电站名称")
    @NotBlank(message = "缺少电站名称")
    private String stationName;

    @XText("装机总量(KWP)")
    private BigDecimal totalPower;

    @XText("风轮直径(m)")
    private BigDecimal diameter;

    @XText("叶片长度(m)")
    private BigDecimal vaneLength;

    @XText("轮毂高度(m)")
    private BigDecimal hubHeight;

    @XText("经度(°)")
    private BigDecimal longitude;

    @XText("纬度(°)")
    private BigDecimal latitude;

    @XText("高程(m)")
    private BigDecimal elevation;

    @XText("地区编码")
    private Integer areaCode;

    @XText("风电站关联测风塔列表")
    private List<BaseWindTowerInput> windTowerList;
}
