package pps.core.base.service.data.third_weather_data;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * 日数据
 *
 * @author ZWT
 * @date 2023/11/13 14:08
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class DailyData {

    /**
     * 日期时间
     */
    private Date dateTime;
    /**
     * 时间
     */
    private List<String> hourTimeArray;
    /**
     * 天气
     */
    private List<String> weatherArray;
    /**
     * 气温
     */
    private List<String> temperatureArray;
    /**
     * 降水
     */
    private List<String> precipitationArray;
    /**
     * 风速
     */
    private List<String> windSpeedArray;
    /**
     * 风向
     */
    private List<String> windDirectionArray;
    /**
     * 气压
     */
    private List<String> pressureArray;
    /**
     * 湿度
     */
    private List<String> humidityArray;
    /**
     * 云量
     */
    private List<String> cloudCoverArray;
}
