package pps.core.base.service.data.third_weather_data;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 第三方天气
 *
 * @author ZWT
 * @date 2024/05/21 11:20
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetThirdWeatherDataOutput {

    @XText("天气现象代码")
    private Integer wep;

    @XText("气温 [C]")
    private BigDecimal tem;

    @XText("风速（地面100米）[m/s]")
    private BigDecimal wns100m;

    @XText("太阳直接辐射[W/m2]")
    private BigDecimal dni;

    @XText("图标地址")
    private String iconPath;
}
