package pps.core.base.service.data.weather_bureau_data;

import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 气象局天气数据表
 *
 * @author ZWT
 * @date 2024/09/02
 */
@Data
public class GetWeatherBureauDataOutput {

    @XText("ID")
    private Long id;

    @XText("记录时间")
    private Date dataTime;

    @XText("天气图标")
    private String weatherIcon;

    @XText("气温(℃)")
    private BigDecimal airTemperature;

    @XText("降水")
    private String precipitation;

    @XText("风速(m/s)")
    private BigDecimal windSpeed;

    @XText("风向")
    private Integer windDirection;

    @XText("气压(hPa)")
    private BigDecimal pressure;

    @XText("湿度(%)")
    private BigDecimal humidity;

    @XText("云量(%)")
    private BigDecimal cloudCover;

    @XText("地区编码")
    private String areaCode;
}
