package pps.core.task.utils;

import pps.cloud.base.service.IConfigOilFieldCloudService;
import pps.cloud.base.service.data.config_oil_field.GetConfigOilFieldOutput;
import pps.core.common.cache.TaskLockCache;
import xstartup.base.XContext;
import xstartup.data.XSingleResult;

/**
 * 常用服务调用工具类
 *
 * @author ZWT
 * @date 2024/07/04
 */
public class ServiceUtil {

    /*-------------------------服务调用-------------------------*/

    /**
     * 获取当前配置
     *
     * @param context 上下文
     * @return {@link GetConfigOilFieldOutput }
     */
    public static GetConfigOilFieldOutput getCurrentConfig(XContext context) {
        IConfigOilFieldCloudService bean = context.getBean(IConfigOilFieldCloudService.class);
        XSingleResult<GetConfigOilFieldOutput> currentConfig = bean.getCurrentConfig(context);
        currentConfig.throwIfFail();
        return currentConfig.getResult();
    }

    /**
     * 设置缓存
     *
     * @param xContext x上下文
     * @param key      钥匙
     */
    public static void setCache(XContext xContext, String key) {
        TaskLockCache cache = new TaskLockCache();
        cache.setRedisKey(key);
        cache.setRedisValue(key);
        TaskLockCache.set(xContext, cache);
    }
}