package pps.cloud.space.service;

import pps.cloud.space.service.data.space_institution_wellhead.GetSpaceInstitutionWellheadInput;
import pps.cloud.space.service.data.space_institution_wellhead.GetSpaceInstitutionWellheadOutput;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;
import xstartup.data.XSingleResult;

/**
 * 基础间开配置Cloud模块
 *
 * @author ZWT
 * @date 2023/09/06 17:07
 */
@XService
@XText("基础间开配置Cloud模块")
public interface ISpaceInstitutionDetailCloudService {

    /**
     * 基础间开配置Cloud模块--检查线路是否被引用
     *
     * @param context 上下文
     * @param lineId  线路id
     * @return {@link XSingleResult}<{@link Long}>
     */
    @XText("基础间开配置Cloud模块--检查线路是否被引用")
    XSingleResult<Long> getInstitutionLineCountByLineId(XContext context, String lineId);

    /**
     * 基础间开配置Cloud模块--检查井口是否被引用
     *
     * @param context    上下文
     * @param wellheadId 井口id
     * @return {@link XSingleResult}<{@link Long}>
     */
    @XText("基础间开配置Cloud模块--检查井口是否被引用")
    XSingleResult<Long> getInstitutionWellheadCountByWellheadId(XContext context, String wellheadId);

    /**
     * 获取间开井口列表
     *
     * @param context 上下文
     * @param input   输入
     * @return {@link XListResult }<{@link GetSpaceInstitutionWellheadOutput }>
     */
    @XText("基础间开配置Cloud模块--获取间开井口列表")
    XListResult<GetSpaceInstitutionWellheadOutput> getInstitutionWellheadList(XContext context, GetSpaceInstitutionWellheadInput input);
}
