package pps.cloud.space.service;

import pps.cloud.space.service.data.space_optimize_short_wellhead.GetMonthlyWellCountInput;
import pps.cloud.space.service.data.space_optimize_short_wellhead.GetMonthlyWellCountOutput;
import pps.cloud.space.service.data.space_optimize_short_wellhead.GetSpaceOptimizeShortWellheadInput;
import pps.cloud.space.service.data.space_optimize_short_wellhead.GetSpaceOptimizeShortWellheadOutput;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;
import xstartup.data.XServiceResult;
import xstartup.data.XSingleResult;

/**
 * 极短期间开优化Cloud模块
 *
 * @author ZWT
 * @date 2023/09/20 11:43
 */
@XService
@XText("极短期间开优化Cloud模块")
public interface ISpaceOptimizeShortCloudService {

    /**
     * 极短期间开优化Cloud模块--定时任务
     *
     * @param context 上下文
     * @return {@link XServiceResult}
     */
    @XText("短期间开开优化Cloud模块--定时任务")
    XServiceResult optimizeShortJob(XContext context);

    /**
     * 月度井口统计
     *
     * @param context 上下文
     * @param input   输入
     * @return {@link XSingleResult }<{@link GetMonthlyWellCountOutput }>
     */
    @XText("短期间开开优化Cloud模块--月度井口统计")
    XSingleResult<GetMonthlyWellCountOutput> monthlyWellCount(XContext context, GetMonthlyWellCountInput input);

    /**
     * 每日优化结果
     *
     * @param context 上下文
     * @param input   输入
     * @return {@link XListResult }<{@link GetSpaceOptimizeShortWellheadOutput }>
     */
    @XText("短期间开开优化Cloud模块--日优化结果")
    XListResult<GetSpaceOptimizeShortWellheadOutput> dailyOptimizationResult(XContext context, GetSpaceOptimizeShortWellheadInput input);
}
