package pps.cloud.space.service.data.line_daily_electricity_trend;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Collection;
import java.util.Date;

/**
 * 用电趋势统计
 *
 * @author ZWT
 * @date 2024/05/24 16:23
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetLineDailyElectricityTrendInput {

    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 电站名称列表
     */
    private Collection<String> stationNameList;

    /**
     * 来源系统
     */
    private String systemSource;
}
