package pps.cloud.space.service.data.line_daily_electricity_trend;

import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 用电趋势统计
 *
 * @author ZWT
 * @date 2024/05/24 16:23
 */
@Data
public class GetLineDailyElectricityTrendOutput {

    @XText("井组名称(线路/光伏电站)")
    private String stationName;

    @XText("光伏日用电量(KWh)")
    private BigDecimal photovoltaicPower;

    @XText("市电日用电量(KWh)")
    private BigDecimal municipalPower;

    @XText("同期光伏日用电量(KWh)")
    private BigDecimal lastPhotovoltaicPower;

    @XText("同期市电日用电量(KWh)")
    private BigDecimal lastMunicipalPower;

    @XText("谷电开井时间(h)")
    private BigDecimal valleyElectricOpenHour;

    @XText("总运行时间(h)")
    private BigDecimal sumRunDuration;

    @XText("创建时间")
    private Date createDate;
}
