package pps.cloud.space.service.data.space_institution_wellhead;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 间开制度井口配置
 *
 * @author ZWT
 * @date 2023/09/05
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetSpaceInstitutionWellheadOutput {

    @XText("井口ID")
    private String wellheadId;

    @XText("井号")
    private String wellNumber;

    @XText("运行类型key(字典获取)")
    private String runTypeKey;

    @XText("间开类型key(字典获取)")
    private String intervalTypeKey;

    @XText("间开描述")
    private String intervalDescribe;

    @XText("启动顺序")
    private Integer startSeq;

    @XText("开井天数")
    private Integer openWellDay;

    @XText("关井天数")
    private Integer closeWellDay;

    @XText("运行时长（小时/天）")
    private BigDecimal runDuration;

    @XText("单次最高开井时长(h)")
    private BigDecimal maxOpen;

    @XText("单次最低开井时长(h)")
    private BigDecimal minOpen;

    @XText("单次最高关井时长(h)")
    private BigDecimal maxClose;

    @XText("单次最低关井时长(h)")
    private BigDecimal minClose;

    /**
     * 运行类型名称
     */
    @XText("运行类型名称")
    private String runTypeName;

    /**
     * 间开类型名称
     */
    @XText("间开类型名称")
    private String intervalTypeName;
}
