package pps.core.space.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 线路日用电趋势
 *
 * @author ZWT
 * @date 2024/05/22
 */
@Data
@TableName("line_daily_electricity_trend")
public class LineDailyElectricityTrendEnt implements Serializable {

    @XText("ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    @XText("井组名称(线路/光伏电站)")
    @TableField
    private String stationName;

    @XText("日累计用电量(KWh)")
    @TableField
    private BigDecimal totalPower;

    @XText("光伏日用电量(KWh)")
    @TableField
    private BigDecimal photovoltaicPower;

    @XText("市电日用电量(KWh)")
    @TableField
    private BigDecimal municipalPower;

    @XText("同期日累计用电量(KWh)")
    @TableField
    private BigDecimal lastTotalPower;

    @XText("同期光伏日用电量(KWh)")
    @TableField
    private BigDecimal lastPhotovoltaicPower;

    @XText("同期市电日用电量(KWh)")
    @TableField
    private BigDecimal lastMunicipalPower;

    @XText("累计用电量同比(%)")
    @TableField
    private BigDecimal totalRatio;

    @XText("光伏用电量同比(%)")
    @TableField
    private BigDecimal photovoltaicRatio;

    @XText("市电用电量同比(%)")
    @TableField
    private BigDecimal municipalRatio;

    @XText("谷电开井时间(h)")
    @TableField
    private BigDecimal valleyElectricOpenHour;

    @XText("谷电占比(%)")
    @TableField
    private BigDecimal valleyElectricRate;

    @XText("总运行时间(h)")
    @TableField
    private BigDecimal sumRunDuration;

    @XText("创建时间")
    @TableField
    private Date createDate;

    @XText("来源系统")
    @TableField
    private String systemSource;
}
