package pps.core.space.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import pps.core.common.entity.BaseModel;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

/**
 * 间开优化井口制度记录
 *
 * @author ZWT
 * @date 2023/09/05
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class SpaceOptimizeDurationDTO extends BaseModel implements Serializable {

    @XText("井口记录ID")
    @TableField
    private String recordId;

    @XText("间开优化周期ID")
    @TableField
    private String periodId;

    @XText("井口ID")
    @TableField
    private String wellheadId;

    @XText("是否优化(0_是;1_否)")
    @TableField
    private Integer isOptimize;

    @XText("发电类型key(字典获取)")
    @TableField
    private String generationTypeKey;

    @XText("开井时间")
    @TableField
    private String openWellTime;

    @XText("关井时间")
    @TableField
    private String closeWellTime;

    @XText("是否第一次启动(0_是;1_否)")
    @TableField
    private Integer firstStart;

    @XText("优化日期")
    @TableField
    private Date optimizeDate;

    @XText("开井时间")
    @TableField(exist = false)
    private Date openTime;

    @XText("关井时间")
    @TableField(exist = false)
    private Date closeTime;

    @XText("开井时长(分钟)")
    @TableField(exist = false)
    private long duration;
}
