package pps.core.space.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import pps.core.common.entity.BaseModel;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 短期间开开优化井口记录
 *
 * @author ZWT
 * @date 2023/09/05
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class SpaceOptimizeMidWellheadView extends BaseModel implements Serializable {

    @XText("中短期优化周期ID")
    @TableField
    private String midPeriodId;

    @XText("井口ID")
    @TableField
    private String wellheadId;

    @XText("井号")
    @TableField
    private String wellNumber;

    @XText("启动顺序")
    @TableField
    private Integer startSeq;

    @XText("优化日期")
    @TableField
    private Date optimizeDate;

    /*------------------------- other -------------------------*/

    @XText("运行时长（小时/天）")
    @TableField(exist = false)
    private BigDecimal runDuration;
}
