package pps.core.space.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import pps.core.common.entity.BaseModel;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 极短期间开优化井口制度记录
 *
 * @author ZWT
 * @date 2023/09/05
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class SpaceOptimizeShortDurationView extends BaseModel implements Serializable {

    @XText("井口记录ID")
    @TableField
    private String recordId;

    @XText("短期优化周期ID")
    @TableField
    private String shortPeriodId;

    @XText("井口ID")
    @TableField
    private String wellheadId;

    @XText("是否优化(0_是;1_否)")
    @TableField
    private Integer isOptimize;

    @XText("发电类型key(字典获取)")
    @TableField
    private String generationTypeKey;

    @XText("开井时间")
    @TableField
    private String openWellTime;

    @XText("关井时间")
    @TableField
    private String closeWellTime;

    @XText("是否第一次启动(0_是;1_否)")
    @TableField
    private Integer firstStart;

    @XText("优化日期")
    @TableField
    private Date optimizeDate;

    /*------------------------------------------------------*/

    @XText("组织ID")
    @TableField(exist = false)
    private String ouId;

    @XText("组织名称")
    @TableField(exist = false)
    private String ouName;

    @XText("井号")
    @TableField(exist = false)
    private String wellNumber;

    @XText("制度描述")
    @TableField(exist = false)
    private String intervalDescribe;

    @XText("查询时间")
    @TableField(exist = false)
    private Date queryDate;

    @XText("井组名称")
    @TableField(exist = false)
    private String lineName;

    @XText("运行功率")
    @TableField(exist = false)
    private BigDecimal serviceRating;

    @XText("启动顺序")
    @TableField(exist = false)
    private Integer startSeq;

    @XText("开井时长(h)")
    @TableField(exist = false)
    private BigDecimal runDuration;

    @XText("组织ID集合")
    @TableField(exist = false)
    private List<String> ouIds;
}
