package pps.core.space.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 井口日用电趋势
 *
 * @author ZWT
 * @date 2024/05/24
 */
@Data
@TableName("well_daily_electricity_trend")
public class WellDailyElectricityTrendEnt implements Serializable {
    @XText("ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    @XText("井号")
    @TableField
    private String wellNumber;

    @XText("间开每日运行时长(h)")
    @TableField
    private BigDecimal spaceRunDuration;

    @XText("每日开井时间(h)")
    @TableField
    private BigDecimal dailyOpenHour;

    @XText("绿电开井时间(h)")
    @TableField
    private BigDecimal dailyGreenOpenHour;

    @XText("日绿电用电量(kW-h)")
    @TableField
    private BigDecimal dailyGreenConsumption;

    @XText("日耗电量(kW-h)")
    @TableField
    private BigDecimal dailyElectricityConsumption;

    @XText("日产液量(m³)")
    @TableField
    private BigDecimal dailyLiquidProduction;

    @XText("日减碳量(吨)")
    @TableField
    private BigDecimal dailyCarbonReduction;

    @XText("绿电占比(%)")
    @TableField
    private BigDecimal greenElectricityRate;

    @XText("谷电开井时间(h)")
    @TableField
    private BigDecimal valleyElectricOpenHour;

    @XText("谷电占比(%)")
    @TableField
    private BigDecimal valleyElectricRate;

    @XText("创建时间")
    @TableField
    private Date createDate;

    @XText("来源系统")
    @TableField
    private String systemSource;
}
