package pps.core.space.enums;

import xstartup.error.XError;

/**
 * 业务错误
 *
 * @author ZWT
 * @date 2023/09/12
 */
public enum BusinessError implements XError {
    LineExists(2100, "当前线路已设定周期"),
    RepeatSetting(2101, "请勿重复设定"),
    DidNotFindSpace(2102, "未发现可用基础间开制度"),
    DidNotFindWellhead(2103, "未发现可优化井口"),
    DidNotFindPlant(2104, "未发现可用光伏电站"),
    DidNotFindCalibration(2105, "未发现可用周期配置"),
    UnableToOptimize(2106, "无法优化"),
    LackOfHistoryRecord(2107, "缺少历史记录"),
    CannotBeDeleted(2108, "基础制度无法删除"),
    Expired(2109, "已过期,无法重新校准"),
    UnOpen(2110, "功能暂未开放"),
    UndiscoveredData(2111, "未发现数据"),
    ;

    private int code;
    private String text;

    BusinessError(int code, String text) {
        this.code = code;
        this.text = text;
    }

    @Override
    public int getCode() {
        return code;
    }

    @Override
    public String getText() {
        return text;
    }
}
