package pps.core.space.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.space.entity.SpaceCalibrationHistoryView;

import java.util.List;

/**
 * 校准历史
 *
 * @author ZWT
 * @date 2023/09/06
 */
@Repository(value = "pps.core.space.mapper.SpaceCalibrationHistoryViewMapper")
public interface SpaceCalibrationHistoryViewMapper {

    /**
     * 选择一个
     *
     * @param record 记录
     * @return {@link SpaceCalibrationHistoryView}
     */
    SpaceCalibrationHistoryView selectOne(SpaceCalibrationHistoryView record);

    /**
     * 条件查询列表
     *
     * @param record 记录
     * @return {@link List}<{@link SpaceCalibrationHistoryView}>
     */
    List<SpaceCalibrationHistoryView> selectList(SpaceCalibrationHistoryView record);

    /**
     * 批量新增
     *
     * @param list 列表
     * @return int
     */
    int batchInsertList(@Param(value = "list") List<SpaceCalibrationHistoryView> list);
}
