package pps.core.space.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.space.entity.SpaceOptimizeLongWellheadView;

import java.util.List;

/**
 * 中期间开优化井口记录
 *
 * @author ZWT
 * @date 2023/09/07
 */
@Repository(value = "pps.core.space.mapper.SpaceOptimizeLongWellheadViewMapper")
public interface SpaceOptimizeLongWellheadViewMapper {
    /**
     * 选择一个
     *
     * @param record 记录
     * @return {@link SpaceOptimizeLongWellheadView }
     */
    SpaceOptimizeLongWellheadView selectOne(SpaceOptimizeLongWellheadView record);

    /**
     * 选择列表
     *
     * @param record 记录
     * @return {@link List }<{@link SpaceOptimizeLongWellheadView }>
     */
    List<SpaceOptimizeLongWellheadView> selectList(SpaceOptimizeLongWellheadView record);

    /**
     * 选择列表联接
     *
     * @param record 记录
     * @return {@link List }<{@link SpaceOptimizeLongWellheadView }>
     */
    List<SpaceOptimizeLongWellheadView> selectListJoin(SpaceOptimizeLongWellheadView record);

    /**
     * 批量新增
     *
     * @param list 列表
     * @return int
     */
    int batchInsertList(@Param(value = "list") List<SpaceOptimizeLongWellheadView> list);
}
