package pps.core.space.mapper;

import org.springframework.stereotype.Repository;
import pps.core.space.entity.SpaceOptimizeMidWellheadView;

import java.util.List;

/**
 * 短期间开开优化井口记录
 *
 * @author ZWT
 * @date 2023/09/07
 */
@Repository(value = "pps.core.space.mapper.SpaceOptimizeMidWellheadViewMapper")
public interface SpaceOptimizeMidWellheadViewMapper {
    /**
     * 选择一个
     *
     * @param record 记录
     * @return {@link SpaceOptimizeMidWellheadView }
     */
    SpaceOptimizeMidWellheadView selectOne(SpaceOptimizeMidWellheadView record);

    /**
     * 选择列表
     *
     * @param record 记录
     * @return {@link List }<{@link SpaceOptimizeMidWellheadView }>
     */
    List<SpaceOptimizeMidWellheadView> selectList(SpaceOptimizeMidWellheadView record);

    /**
     * 选择列表联接
     *
     * @param record 记录
     * @return {@link List }<{@link SpaceOptimizeMidWellheadView }>
     */
    List<SpaceOptimizeMidWellheadView> selectListJoin(SpaceOptimizeMidWellheadView record);
}
