package pps.core.space.mapper;

import org.springframework.stereotype.Repository;
import pps.core.space.entity.SpaceOptimizeShortDurationView;

import java.util.List;

/**
 * 极短期间开优化井口制度记录
 *
 * @author ZWT
 * @date 2023/09/07
 */
@Repository(value = "pps.core.space.mapper.SpaceOptimizeShortDurationViewMapper")
public interface SpaceOptimizeShortDurationViewMapper {
    SpaceOptimizeShortDurationView selectOne(SpaceOptimizeShortDurationView record);

    /**
     * 查询井口列表已优化后为准
     *
     * @param record 记录
     * @return {@link List}<{@link SpaceOptimizeShortDurationView}>
     */
    List<SpaceOptimizeShortDurationView> selectList(SpaceOptimizeShortDurationView record);

    /**
     * 每日制度展示
     *
     * @param record 记录
     * @return {@link List}<{@link SpaceOptimizeShortDurationView}>
     */
    List<SpaceOptimizeShortDurationView> selectDailySystemDisplay(SpaceOptimizeShortDurationView record);

    /**
     * 优化结果列表
     *
     * @param record 记录
     * @return {@link List }<{@link SpaceOptimizeShortDurationView }>
     */
    List<SpaceOptimizeShortDurationView> selectOptimizationResultList(SpaceOptimizeShortDurationView record);
}
