package pps.core.space.mapper;

import org.springframework.stereotype.Repository;
import pps.core.space.entity.SpaceOptimizeShortWellheadView;

import java.util.List;

/**
 * 极短期间开优化井口记录
 *
 * @author ZWT
 * @date 2023/09/07
 */
@Repository(value = "pps.core.space.mapper.SpaceOptimizeShortWellheadViewMapper")
public interface SpaceOptimizeShortWellheadViewMapper {
    /**
     * 选择一个
     *
     * @param record 记录
     * @return {@link SpaceOptimizeShortWellheadView }
     */
    SpaceOptimizeShortWellheadView selectOne(SpaceOptimizeShortWellheadView record);

    /**
     * 选择列表
     *
     * @param record 记录
     * @return {@link List }<{@link SpaceOptimizeShortWellheadView }>
     */
    List<SpaceOptimizeShortWellheadView> selectList(SpaceOptimizeShortWellheadView record);

    /**
     * 选择列表联接
     *
     * @param record 记录
     * @return {@link List }<{@link SpaceOptimizeShortWellheadView }>
     */
    List<SpaceOptimizeShortWellheadView> selectListJoin(SpaceOptimizeShortWellheadView record);
}
