package pps.core.space.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.space.entity.WellDailyElectricityTrendView;

import java.util.List;

/**
 * 井口日用电趋势
 *
 * @author ZWT
 * @date 2024/05/24
 */
@Repository(value = "pps.core.space.mapper.WellDailyElectricityTrendViewMapper")
public interface WellDailyElectricityTrendViewMapper {

    /**
     * 查一个
     *
     * @param record 记录
     * @return {@link WellDailyElectricityTrendView }
     */
    WellDailyElectricityTrendView selectOne(WellDailyElectricityTrendView record);

    /**
     * 查列表
     *
     * @param record 记录
     * @return {@link List }<{@link WellDailyElectricityTrendView }>
     */
    List<WellDailyElectricityTrendView> selectList(WellDailyElectricityTrendView record);

    /**
     * 批量插入
     *
     * @param list 列表
     * @return int
     */
    int batchInsert(@Param(value = "list") List<WellDailyElectricityTrendView> list);

    /**
     * 井口分析分页
     *
     * @param record 记录
     * @return {@link List }<{@link WellDailyElectricityTrendView }>
     */
    List<WellDailyElectricityTrendView> selectWellheadAnalysisPage(WellDailyElectricityTrendView record);
}
