package pps.core.space.mybatis;

import com.baomidou.mybatisplus.core.config.GlobalConfig;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.EnableTransactionManagement;
import pps.core.common.mybatis.MybaitisGlobalConfigSuppiler;
import xstartup.service.mybatis.XMybatis;


/**
 * mybatis配置
 *
 * @author ZWT
 * @date 2023/09/05
 */
@Component
@EnableTransactionManagement
@MapperScan(sqlSessionTemplateRef = "sqlSessionTemplateRef.pps.core.space",
        sqlSessionFactoryRef = "sqlSessionFactoryRef.pps.core.space",
        basePackages = {"pps.core.space.mapper"})
public class PpsCoreSpaceMybatis extends XMybatis {

    @Override
    public GlobalConfig getGlobalConfig() {
        return MybaitisGlobalConfigSuppiler.INSTANCE.get();
    }
}
