package pps.core.space.service.data.base_excel;

import cn.hutool.core.date.DateTime;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import jakarta.validation.constraints.NotBlank;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import pps.core.common.excel.TimeRangeImpl;
import pps.core.common.excel.config.ExcelSelected;

import java.io.Serializable;

/**
 * excel编辑制度模板
 *
 * @author ZWT
 * @date 2024/05/14 13:51
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ExcelIgnoreUnannotated
@ColumnWidth(value = 25)
public class ExcelSpaceOptimizeTemplate implements Serializable {

    private static final long serialVersionUID = 2852207213902479260L;

    /**
     * 开始时间
     */
    @NotBlank(message = "缺少开始时间")
    @ExcelSelected(sourceClass = TimeRangeImpl.class)
    @ExcelProperty(index = 0, value = "开始时间")
    private String startTime;

    /**
     * 结束时间
     */
    @NotBlank(message = "缺少结束时间")
    @ExcelSelected(sourceClass = TimeRangeImpl.class)
    @ExcelProperty(index = 1, value = "结束时间")
    private String endTime;

    /*------------------------------------ other ------------------------------------*/

    /**
     * 行号
     */
    private Integer rowNum;

    /**
     * 开始
     */
    private DateTime start;

    /**
     * 结束
     */
    private DateTime end;

    /**
     * 开井时长(分钟)
     */
    private Long duration;
}
