package pps.core.space.service.data.base_excel;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.List;

/**
 * Excel导入响应
 *
 * @author ZWT
 * @date 2024/05/14 14:44
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class ExcelSpaceWellheadOutput {

    @XText("运行时长（小时/天）")
    private BigDecimal runDuration;

    @XText("单次最高开井时长(h)")
    private BigDecimal maxOpen;

    @XText("单次最低开井时长(h)")
    private BigDecimal minOpen;

    @XText("单次最高关井时长(h)")
    private BigDecimal maxClose;

    @XText("单次最低关井时长(h)")
    private BigDecimal minClose;

    /**
     * 间开制度小间开时段配置
     */
    @XText("间开制度小间开时段配置")
    private List<ExcelSpaceDurationOutput> durationList;
}
