package pps.core.space.service.data.space_institution_detail;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import pps.core.space.service.data.space_institution_wellhead.CreateSpaceInstitutionWellheadInput;
import xstartup.annotation.XText;

import java.util.Date;
import java.util.List;

/**
 * 基础间开配置
 *
 * @author ZWT
 * @date 2023/09/05
 */
@Data
public class CreateSpaceInstitutionDetailInput {

    /**
     * 间开制度井口配置
     */
    @XText("间开制度井口配置")
    List<CreateSpaceInstitutionWellheadInput> wellheadList;
    @XText("组织机构ID")
    @NotBlank(message = "缺少组织机构ID")
    private String ouId;
    @XText("线路ID")
    @NotBlank(message = "缺少组织线路ID")
    private String lineId;
    @XText("电网类型key(字典获取)")
    @NotBlank(message = "缺少电网类型")
    private String gridTypeKey;
    @XText("制度名称")
    @NotBlank(message = "缺少制度名称")
    private String institutionName;
    @XText("制度开始时间")
    @NotNull(message = "缺少制度开始时间")
    private Date institutionStartDate;
    @XText("制度结束时间")
    @NotNull(message = "缺少制度结束时间")
    private Date institutionEndDate;
    @XText("启动间隔(分钟)")
    private Integer startInterval;
    @XText("防冻土策略(0_是,1_否)")
    private Integer tundraStrategy;
}