package pps.core.space.service.data.space_institution_wellhead;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import xstartup.annotation.XText;

import java.util.Date;

/**
 * 间开制度井口配置
 *
 * @author ZWT
 * @date 2023/09/05
 */
@Data
public class GetSpaceInstitutionWellheadInput {

    @XText("井口ID")
    @NotBlank(message = "缺少井口ID")
    private String wellheadId;

    @XText("校准周期ID")
    @NotBlank(message = "缺少校准周期ID")
    private String calibrationId;

    @XText("日期")
    @NotNull(message = "缺少日期")
    private Date date;
}
