package pps.core.space.service.data.space_institution_wellhead;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import pps.core.space.service.data.SpaceOptimizeDateDuration;
import xstartup.annotation.XText;

import java.util.List;

/**
 * 间开制度井口配置
 *
 * @author ZWT
 * @date 2023/09/05
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetSpaceInstitutionWellheadOutput {

    /**
     * 井口配置(未优化)
     */
    @XText("井口配置(未优化)")
    private List<SpaceOptimizeDateDuration> initializeList;

    /**
     * 井口配置(已优化)
     */
    @XText("井口配置(已优化)")
    private List<SpaceOptimizeDateDuration> optimizeList;
}
