package pps.cloud.prediction.service.data.plant_predicted_power_data;

import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 光伏预测Cloud模块
 *
 * @author ZWT
 * @date 2023/09/13
 */
@Data
public class DynamicQueryPlantPredictedPowerOutput {

    @XText("年")
    private String yearTime;

    @XText("月")
    private String monthTime;

    @XText("时")
    private String hourTime;

    @XText("分")
    private String minTime;

    @XText("预测功率")
    private BigDecimal power;

    @XText("电量是否满足标识")
    private Boolean batteryLowFlag;

    @XText("可供电时长")
    private int powerDuration;

    @XText("创建时间")
    private Date createTime;
}
