package pps.cloud.prediction.service.data.third_daily_accumulation_update;

import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 第三方井场日累计数据
 *
 * @author ZWT
 * @date 2024/05/23 16:25
 */
@Data
public class GetThirdDailyAccumulationUpdateOutput {

    @XText("井组名称(线路/光伏电站)")
    private String stationName;

    @XText("光伏日累计发电(KWh)")
    private BigDecimal photovoltaicPower;

    @XText("日累计用电量(KW·h)")
    private BigDecimal dailyElectricityConsumption;
}
