package pps.cloud.prediction.service.data.wellhead_daily_production_situation;

import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 井口生产情况表
 *
 * @author ZWT
 * @date 2024/05/24
 */
@Data
public class GetWellheadDailyProductionSituationOutput {

    @XText("井号")
    private String wellNumber;

    @XText("日期")
    private Date dataDate;

    @XText("生产时间(h)")
    private BigDecimal productionTime;

    @XText("日耗电量(kW-h)")
    private BigDecimal dailyElectricityConsumption;

    @XText("日产液量(t)")
    private BigDecimal dailyLiquidProduction;
}
