package pps.core.prediction.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 光伏用电表(测试用)
 *
 * @author ZWT
 * @date 2023/09/28
 */
@Data
@TableName("photovoltaic_electricity_consumption")
public class PhotovoltaicElectricityConsumptionEnt implements Serializable {
    @XText("ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    @XText("组织机构ID")
    @TableField
    private String ouId;

    @XText("机构名称")
    @TableField
    private String ouName;

    @XText("总电量")
    @TableField
    private BigDecimal totalElectricity;

    @XText("市电")
    @TableField
    private BigDecimal cityElectricity;

    @XText("市电环比")
    @TableField
    private BigDecimal cityElectricityScale;

    @XText("绿电")
    @TableField
    private BigDecimal greenElectricity;

    @XText("绿电环比")
    @TableField
    private BigDecimal greenElectricityScale;

    @XText("日期")
    @TableField
    private Date dataDate;
}
