package pps.core.prediction.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 储能预测电量数据(模拟数据测试用)
 *
 * @author ZWT
 * @date 2023/09/20
 */
@Data
@TableName("storage_predicted_power_data")
public class StoragePredictedPowerDataEnt implements Serializable {
    @TableId(type = IdType.AUTO)
    private Integer id;

    @XText("储能设备id")
    @TableField
    private String storageId;

    @XText("日期")
    @TableField
    private String dataDate;

    @XText("年")
    @TableField
    private String yearTime;

    @XText("月")
    @TableField
    private String monthTime;

    @XText("日")
    @TableField
    private String dayTime;

    @XText("时")
    @TableField
    private String hourTime;

    @XText("分")
    @TableField
    private String minTime;

    @XText("预测功率")
    @TableField
    private BigDecimal power;

    @XText("创建时间")
    @TableField
    private Date createTime;
}
