package pps.core.prediction.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 第三方有功功率(每日最新数据)
 *
 * @author ZWT
 * @date 2024/03/19
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class ThirdActivePowerDailyUpdateView implements Serializable {
    @XText("ID")
    @TableField
    private Long id;

    @XText("井组名称(线路/光伏电站)")
    @TableField
    private String stationName;

    @XText("井组ID(线路/光伏电站)")
    @TableField
    private String stationId;

    @XText("创建时间")
    @TableField
    private Date createDate;

    @XText("光伏有功功率(KW)")
    @TableField
    private BigDecimal photovoltaicPower;

    @XText("电表有功功率(KW)")
    @TableField
    private BigDecimal meterPower;

    @XText("来源系统")
    @TableField
    private String systemSource;

    @XText("入库日期")
    @TableField
    private Date saveDate;

    @XText("入库小时")
    @TableField
    private Date saveHour;

    @XText("小时")
    @TableField(exist = false)
    private Integer hourNumber;

    @XText("井组ID列表")
    @TableField(exist = false)
    private List<String> stationIds;
}
