package pps.core.prediction.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 第三方井场日累计数据
 *
 * @author ZWT
 * @date 2024/04/01
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class ThirdDailyAccumulationView implements Serializable {
    @XText("ID")
    @TableField
    private Long id;

    @XText("井组名称(线路/光伏电站)")
    @TableField
    private String stationName;

    @XText("井组ID(光伏电站)")
    @TableField
    private String stationId;

    @XText("创建时间")
    @TableField
    private Date createDate;

    @XText("光伏日累计发电(KWh)")
    @TableField
    private BigDecimal photovoltaicPower;

    @XText("日累计用电量(KW·h)")
    @TableField
    private BigDecimal dailyElectricityConsumption;

    @XText("日累计产液量(m³)")
    @TableField
    private BigDecimal dailyLiquidProduction;

    @XText("就地消纳电量(KWh)")
    @TableField
    private BigDecimal inPlaceConsumption;

    @XText("储能日累计放电量(KWh)")
    @TableField
    private BigDecimal energyStorageDischarge;

    @XText("入库日期")
    @TableField
    private Date saveDate;

    @XText("来源系统")
    @TableField
    private String systemSource;
}
