package pps.core.prediction.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 井口生产情况表(测试用)
 *
 * @author ZWT
 * @date 2023/09/27
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName("wellhead_daily_production_situation")
public class WellheadDailyProductionSituationEnt implements Serializable {
    @XText("ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    @XText("井口ID")
    @TableField
    private String wellheadId;

    @XText("井号")
    @TableField
    private String wellNumber;

    @XText("日期")
    @TableField
    private Date dataDate;

    @XText("生产时间(h)")
    @TableField
    private BigDecimal productionTime;

    @XText("日耗电量(kW-h)")
    @TableField
    private BigDecimal dailyElectricityConsumption;

    @XText("日产液量(t)")
    @TableField
    private BigDecimal dailyLiquidProduction;

    @XText("来源系统")
    @TableField
    private String systemSource;
}
