package pps.core.prediction.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.prediction.entity.ThirdDailyAccumulationUpdateView;

import java.util.List;

/**
 * 第三方井场日累计数据(每日最新数据)
 *
 * @author ZWT
 * @date 2024/04/02
 */
@Repository(value = "pps.core.prediction.mapper.ThirdDailyAccumulationUpdateViewMapper")
public interface ThirdDailyAccumulationUpdateViewMapper {
    ThirdDailyAccumulationUpdateView selectOne(ThirdDailyAccumulationUpdateView record);

    List<ThirdDailyAccumulationUpdateView> selectList(ThirdDailyAccumulationUpdateView record);

    /**
     * 批量插入
     *
     * @param dtoList dto列表
     * @return int
     */
    int batchInsertList(@Param(value = "list") List<ThirdDailyAccumulationUpdateView> dtoList);

    /**
     * 按日期统计
     *
     * @param view 看法
     * @return {@link List }<{@link ThirdDailyAccumulationUpdateView }>
     */
    List<ThirdDailyAccumulationUpdateView> selectPowerStatisticsByDate(ThirdDailyAccumulationUpdateView view);

    /**
     * 按日统计电量趋势
     *
     * @param view 看法
     * @return {@link List }<{@link ThirdDailyAccumulationUpdateView }>
     */
    List<ThirdDailyAccumulationUpdateView> selectPowerTrendByDate(ThirdDailyAccumulationUpdateView view);
}
