package pps.core.prediction.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.prediction.entity.ThirdWellAvgActivePowerView;

import java.util.List;

/**
 * 第三方单井平均有功功率
 *
 * @author ZWT
 * @date 2024/04/01
 */
@Repository(value = "pps.core.prediction.mapper.ThirdWellAvgActivePowerViewMapper")
public interface ThirdWellAvgActivePowerViewMapper {
    ThirdWellAvgActivePowerView selectOne(ThirdWellAvgActivePowerView record);

    List<ThirdWellAvgActivePowerView> selectList(ThirdWellAvgActivePowerView record);

    /**
     * 批量插入
     *
     * @param dtoList dto列表
     * @return int
     */
    int batchInsertList(@Param(value = "list") List<ThirdWellAvgActivePowerView> dtoList);

    /**
     * 井场负荷
     *
     * @param record 记录
     * @return {@link List}<{@link ThirdWellAvgActivePowerView}>
     */
    List<ThirdWellAvgActivePowerView> selectMeterPower(ThirdWellAvgActivePowerView record);

    /**
     * 每小时用电功率
     *
     * @param record 记录
     * @return {@link List}<{@link ThirdWellAvgActivePowerView}>
     */
    List<ThirdWellAvgActivePowerView> selectPowerConsumptionHour(ThirdWellAvgActivePowerView record);
}
