package pps.core.prediction.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.prediction.entity.WellheadDailyProductionSituationView;

import java.util.Date;
import java.util.List;

/**
 * 井口生产情况表
 *
 * @author ZWT
 * @date 2023/09/27
 */
@Repository(value = "pps.core.prediction.mapper.WellheadDailyProductionSituationViewMapper")
public interface WellheadDailyProductionSituationViewMapper {

    WellheadDailyProductionSituationView selectOne(WellheadDailyProductionSituationView record);

    List<WellheadDailyProductionSituationView> selectList(WellheadDailyProductionSituationView record);

    /**
     * 批量新增
     *
     * @param list 列表
     * @return int
     */
    int batchInsertList(@Param(value = "list") List<WellheadDailyProductionSituationView> list);

    /**
     * 选择每日用电量总和
     *
     * @param date         日期
     * @param oilFieldCode 来源系统
     * @return {@link List}<{@link WellheadDailyProductionSituationView}>
     */
    List<WellheadDailyProductionSituationView> selectSumDailyElectricityConsumption(@Param("date") Date date, @Param("oilFieldCode") String oilFieldCode);
}
