package pps.core.prediction.service;

import pps.core.prediction.service.data.plant_predicted_power_data.GetPredictedPowerOutput;
import pps.core.prediction.service.data.plant_predicted_power_mid_term.GetPlantPredictedPowerMidTermInput;
import pps.core.prediction.utils.ServiceUtil;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;
import xstartup.feature.api.annotation.XApiGet;


@XService
@XText("电站预测功率中期240小时数据")
public class PlantPredictedPowerMidTermService {

    /**
     * 十五天功率预测
     *
     * @param context 上下文
     * @param input   输入
     * @return {@link XListResult }<{@link GetPredictedPowerOutput }>
     */
    @XApiGet
    @XText("根据电站预测15天的预测数据")
    public XListResult<GetPredictedPowerOutput> getFifteenPlantPredictedPowerMidTermList(XContext context, GetPlantPredictedPowerMidTermInput input) {
        return XListResult.success(ServiceUtil.getPredictedPowerOutput(context, input.getStartTime(), input.getPlantId(), 15, 2));
    }

    /**
     * 十天功率预测
     *
     * @param context 上下文
     * @param input   输入
     * @return {@link XListResult }<{@link GetPredictedPowerOutput }>
     */
    @XApiGet
    @XText("根据电站预测10天的预测数据")
    public XListResult<GetPredictedPowerOutput> getTenPlantPredictedPowerMidTermList(XContext context, GetPlantPredictedPowerMidTermInput input) {
        return XListResult.success(ServiceUtil.getPredictedPowerOutput(context, input.getStartTime(), input.getPlantId(), 10, 2));
    }
}