package pps.core.prediction.service;

import pps.core.prediction.service.data.plant_predicted_power_data.GetPredictedPowerOutput;
import pps.core.prediction.service.data.plant_predicted_power_short_term.GetPlantPredictedPowerShortTermInput;
import pps.core.prediction.utils.ServiceUtil;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;
import xstartup.feature.api.annotation.XApiGet;


/**
 * 短期功率预测
 *
 * @author ZWT
 * @date 2024/06/06
 */
@XService
@XText("电站预测功率短期72小时数据")
public class PlantPredictedPowerShortTermService {

    /**
     * 三天功率预测
     *
     * @param context 上下文
     * @param input   输入
     * @return {@link XListResult }<{@link GetPredictedPowerOutput }>
     */
    @XApiGet
    @XText("根据电站预测3天的预测数据")
    public XListResult<GetPredictedPowerOutput> getThreePlantPredictedPowerShortTermList(XContext context, GetPlantPredictedPowerShortTermInput input) {
        return XListResult.success(ServiceUtil.getPredictedPowerOutput(context, input.getStartTime(), input.getPlantId(), 3, 1));
    }

    /**
     * 一天功率预测
     *
     * @param context 上下文
     * @param input   输入
     * @return {@link XListResult }<{@link GetPredictedPowerOutput }>
     */
    @XApiGet
    @XText("根据电站预测1天的预测数据")
    public XListResult<GetPredictedPowerOutput> getOnePlantPredictedPowerShortTermList(XContext context, GetPlantPredictedPowerShortTermInput input) {
        return XListResult.success(ServiceUtil.getPredictedPowerOutput(context, input.getStartTime(), input.getPlantId(), 1, 1));
    }
}