package pps.core.prediction.service;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import pps.core.prediction.entity.BaseDataEnt;
import pps.core.prediction.entity.BaseDataView;
import pps.core.prediction.mapper.BaseDataMapper;
import pps.core.prediction.mapper.BaseDataViewMapper;
import pps.core.prediction.service.data.base_data.GetBaseDataInput;
import pps.core.prediction.service.data.base_data.GetBaseDataOutput;
import xstartup.annotation.XService;
import xstartup.base.XContext;
import xstartup.base.util.XCopyUtils;
import xstartup.data.XSingleResult;
import xstartup.error.XError;
import xstartup.feature.api.annotation.XApiGet;


@XService
public class PredictionService {
    @XApiGet
    public XSingleResult<GetBaseDataOutput> getBaseData(XContext context, GetBaseDataInput input) {
        BaseDataMapper mapper = context.getBean(BaseDataMapper.class);
        BaseDataEnt entity = mapper.selectOne(new QueryWrapper<BaseDataEnt>()
                .lambda()
                .eq(BaseDataEnt::getId, input.getId()));
        if (ObjectUtil.isNull(entity)) {
            return XSingleResult.error(context, XError.NotFound);
        }
        GetBaseDataOutput output = new GetBaseDataOutput();
        XCopyUtils.copyObject(entity, output);
        return XSingleResult.success(output);
    }

    @XApiGet
    public XSingleResult<GetBaseDataOutput> getBaseDataView(XContext context, GetBaseDataInput input) {
        BaseDataViewMapper mapper = context.getBean(BaseDataViewMapper.class);
        BaseDataView view = XCopyUtils.copyNewObject(input, BaseDataView.class);
        BaseDataView entity = mapper.selectOne(view);
        if (ObjectUtil.isNull(entity)) {
            return XSingleResult.error(context, XError.NotFound);
        }
        GetBaseDataOutput output = new GetBaseDataOutput();
        XCopyUtils.copyObject(entity, output);
        return XSingleResult.success(output);
    }
}