package pps.core.prediction.service.data.energy_consumption_analysis;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 能耗分析表(测试用)
 *
 * @author ZWT
 * @date 2023/11/23
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class DynamicQueryEnergyConsumptionAnalysisViewOutput {
    @XText("发电量(kWh)")
    private BigDecimal powerGeneration;

    @XText("用电量(kWh)")
    private BigDecimal powerConsumption;

    @XText("消纳率(%)")
    private BigDecimal absorptionRate;

    @XText("日期")
    private Date dataDate;

    @XText("日期")
    private String dateFormat;
}
