package pps.core.prediction.service.data.energy_consumption_analysis;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 用电分析
 *
 * @author ZWT
 * @date 2024/05/22
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetElectricityAnalysisOutput {

    @XText("日期")
    private String dateFormat;

    @XText("光伏用电量(kWh)")
    private BigDecimal photovoltaicConsumption;

    @XText("市电用电量(kWh)")
    private BigDecimal municipalConsumption;

    @XText("同期光伏用电量(kWh)")
    private BigDecimal lastPhotovoltaicConsumption;

    @XText("同期市电用电量(kWh)")
    private BigDecimal lastMunicipalConsumption;

    /**
     * 本期/同期
     */
    @XText("同比")
    private BigDecimal ratio;
}
