package pps.core.prediction.service.data.energy_consumption_analysis;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 用电趋势
 *
 * @author ZWT
 * @date 2024/05/22 14:42
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetElectricityConsumptionTrendOutput {

    @XText("日期")
    private String dateFormat;

    @XText("本期用电量(kWh)")
    private BigDecimal photovoltaicConsumption;

    @XText("同期用电量(kWh)")
    private BigDecimal lastPhotovoltaicConsumption;

    /**
     * 本期/同期
     */
    @XText("同比")
    private BigDecimal ratio;
}
