package pps.core.prediction.service.data.energy_consumption_analysis;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;


/**
 * 峰谷能耗对比分析
 *
 * @author ZWT
 * @date 2024/07/26
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetEnergyComparisonAnalysisOutput {

    @XText("日期")
    private String dateFormat;

    @XText("电费(元)")
    private BigDecimal electricityFees;

    @XText("谷电用电量(kWh)")
    private BigDecimal valleyElectricPower;

    @XText("平电用电量(kWh)")
    private BigDecimal ordinaryElectricPower;

    @XText("高峰用电量(kWh)")
    private BigDecimal highElectricPower;

    @XText("尖峰用电量(kWh)")
    private BigDecimal peakElectricPower;
}
