package pps.core.prediction.service.data.energy_consumption_analysis;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 月度总览
 *
 * @author ZWT
 * @date 2024/05/27 14:03
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetMonthlyOverviewOutput {

    @XText("累计发电量(kWh)")
    private BigDecimal accumulatePowerGeneration;

    @XText("累计用电量(KW·h)")
    private BigDecimal dailyElectricityConsumption;

    @XText("绿电占比(%)")
    private BigDecimal greenElectricityRate;

    @XText("优化井数")
    private Long wellNumber;

    @XText("经济效益(元)")
    private BigDecimal economicBenefit;

    @XText("减碳量(吨)")
    private BigDecimal carbonReduction;
}
