package pps.core.prediction.service.data.energy_consumption_analysis;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;


/**
 * 获取发电细节输出
 *
 * @author ZWT
 * @date 2024/05/22
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetPowerGenerationDetailOutput {

    @XText("光伏装机总量(kWh)")
    private BigDecimal photovoltaicPower;

    @XText("发电功率(kWh)")
    private BigDecimal powerGeneration;

    @XText("累计发电量(kWh)")
    private BigDecimal accumulatePowerGeneration;

    @XText("就地消纳电量(KWh)")
    private BigDecimal inPlaceConsumption;

    @XText("井场额定功率")
    private BigDecimal operatingLoad;

    @XText("开井数量")
    private Integer openWellNumber;

    @XText("日累计产液量(m³)")
    private BigDecimal dailyLiquidProduction;

    @XText("日累计用电量(KW·h)")
    private BigDecimal dailyElectricityConsumption;

    @XText("上网电量")
    private BigDecimal avoidPeakRate;

    @XText("用电功率(kWh)")
    private BigDecimal powerConsumption;

    @XText("绿电占比")
    private BigDecimal greenElectricityRate;
}
