package pps.core.prediction.service.data.energy_consumption_analysis;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;


/**
 * 光伏电站发电详情
 *
 * @author ZWT
 * @date 2024/07/26
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetPowerGenerationDetailsOutput {

    @XText("日期")
    private String dateFormat;

    @XText("本期发电量(kWh)")
    private BigDecimal powerGeneration;

    @XText("同期发电量(kWh)")
    private BigDecimal lastPowerGeneration;

    @XText("预测发电量(kWh)")
    private BigDecimal predictedPower;
}
