package pps.core.prediction.service.data.energy_consumption_analysis;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 发电趋势
 *
 * @author ZWT
 * @date 2024/05/21
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetPowerGenerationTrendOutput {

    @XText("日期")
    private String dateFormat;

    @XText("本期发电量(kWh)")
    private BigDecimal powerGeneration;

    @XText("同期发电量(kWh)")
    private BigDecimal lastPowerGeneration;

    /**
     * 本期/同期
     */
    @XText("同比")
    private BigDecimal ratio;
}
