package pps.core.prediction.service.data.energy_consumption_analysis;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 本日预测/实际功率对比
 *
 * @author ZWT
 * @date 2024/05/22
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetPredictedPowerContrastOutput {

    @XText("小时")
    private Integer hourNumber;

    @XText("预测功率")
    private BigDecimal predictPower;

    @XText("实际功率")
    private BigDecimal actualPower;
}