package pps.core.prediction.service.data.energy_consumption_analysis;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import pps.core.prediction.service.data.third_current_well_condition.GetThirdCurrentWellConditionOutput;
import xstartup.annotation.XText;

import java.util.List;

/**
 * 井场实时监控
 *
 * @author ZWT
 * @date 2024/05/21 17:32
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetWellFieldSituationOutput {

    @XText("总井数")
    private Integer sumWellNumber;

    @XText("常开井数")
    private Integer normallyOpenWellNumber;

    @XText("间开井数")
    private Integer interOpenWellNumber;

    @XText("开井数量")
    private Integer openWellNumber;

    @XText("停井数量")
    private Integer stopWellNumber;

    @XText("井口列表")
    private List<GetThirdCurrentWellConditionOutput> list;
}
