package pps.core.prediction.service.data.energy_consumption_analysis;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 井组生产情况
 *
 * @author ZWT
 * @date 2024/07/26
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetWellProductionStatusOutput {

    @XText("总井数")
    private Integer sumWellNumber;

    @XText("间抽井数")
    private Integer normallyOpenWellNumber;

    @XText("连抽井数")
    private Integer interOpenWellNumber;

    @XText("产液量(m³)")
    private BigDecimal liquidProduction;

    @XText("耗电量(kW-h)")
    private BigDecimal electricityConsumption;

    @XText("减碳量(吨)")
    private BigDecimal carbonReduction;

    @XText("经济效益")
    private BigDecimal economicBenefit;
}
