package pps.core.prediction.service.data.energy_consumption_analysis;

import jakarta.validation.constraints.NotBlank;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;
import xstartup.base.data.XPageInput;


/**
 * 能耗分析
 *
 * @author ZWT
 * @date 2024/05/21
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetWellheadAnalysisInput extends XPageInput {
    /**
     * 组织机构ID
     */
    @NotBlank(message = "缺少组织机构ID")
    @XText("组织机构ID")
    private String ouId;

    /**
     * 电站名称
     */
    @XText("电站名称")
    private String stationName;

    /**
     * 井号
     */
    @XText("井号")
    private String wellNumber;
}
