package pps.core.prediction.service.data.energy_consumption_analysis;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 电量统计
 *
 * @author ZWT
 * @date 2024/05/21 10:44
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class PowerStatisticsOutput {

    /**
     * 日期标识(1_今日,2_昨日,3_同期)
     */
    @XText("日期标识(1_今日,2_昨日,3_同期)")
    private Integer dayFlag;

    /**
     * 光伏日累计发电(KW·h)
     */
    @XText("光伏日累计发电(KW·h)")
    private BigDecimal photovoltaicPower;

    /**
     * 日累计用电量(KW·h)
     */
    @XText("日累计用电量(KW·h)")
    private BigDecimal dailyElectricityConsumption;

    /**
     * 上网电量(KW·h)
     */
    @XText("上网电量(KW·h)")
    private BigDecimal avoidPeakRate;

    /**
     * 绿电占比(%)
     */
    @XText("绿电占比(%)")
    private BigDecimal greenElectricityRate;

    /**
     * 谷电占比(%)
     */
    @XText("谷电占比(%)")
    private BigDecimal valleyElectricRate;
}
