package pps.core.prediction.service.data.home_page;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 收益分析
 *
 * @author ZWT
 * @date 2024/03/26 17:47
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetIncomeAnalysisOutput {

    @XText("消纳度")
    private BigDecimal absorptionRate;

    @XText("余电上网")
    private BigDecimal avoidPeakRate;

    @XText("储能电量")
    private BigDecimal energyStorageCapacity;

    @XText("发电量(万度)")
    private BigDecimal powerGeneration;

    @XText("减碳量")
    private BigDecimal carbonReduction;

    @XText("经济效益")
    private BigDecimal economicBenefit;

    @XText("累计用电量")
    private BigDecimal dailyElectricityConsumption;

    @XText("近零碳井场绿电占比")
    private String greenElectricityRate;

    @XText("零碳井场绿电占比")
    private String zeroGreenElectricityRate;

    @XText("谷电占比(%)")
    private BigDecimal valleyElectricRate;

    @XText("累计电费(万元)")
    private BigDecimal accumulatedCharge;
}