package pps.core.prediction.service.data.home_page;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import pps.cloud.base.service.data.base_power_line_wellhead.DynamicQueryBasePowerLineWellheadViewOutput;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.List;


/**
 * 线路详情
 *
 * @author ZWT
 * @date 2024/04/01
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetLineViewOutput {

    @XText("井口列表")
    private List<DynamicQueryBasePowerLineWellheadViewOutput> wellList;

    @XText("累计额定功率")
    private BigDecimal operatingLoad;

    @XText("累计产液量(m³)")
    private BigDecimal cumulativeProduction;

    @XText("地区")
    private String areaName;

    @XText("光伏装机总量")
    private BigDecimal photovoltaicPower;

    @XText("发电量(kWh)")
    private BigDecimal powerGeneration;

    @XText("日累计用电量(KW·h)")
    private BigDecimal dailyElectricityConsumption;
}
