package pps.core.prediction.service.data.home_page;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;


/**
 * 获取采油厂信息
 *
 * @author ZWT
 * @date 2024/04/01
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetOilExtractionPlantOutput {

    @XText("井口数量")
    private Integer wellNumber;

    @XText("间抽井数量")
    private Integer intervalWellNumber;

    @XText("连抽井数量")
    private Integer continuousWellNumber;

    @XText("累计额定功率")
    private BigDecimal operatingLoad;

    @XText("线路数量")
    private Integer lineNumber;

    @XText("光伏装机总量")
    private BigDecimal photovoltaicPower;

    @XText("储能装机总量")
    private BigDecimal storagePower;
}
