package pps.core.prediction.service.data.home_page;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 井场实时监控
 *
 * @author ZWT
 * @date 2024/03/26
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetWellOverviewViewOutput {

    @XText("开井数量")
    private Integer openWellNumber;

    @XText("停井数量")
    private Integer stopWellNumber;

    @XText("累计产液量(m³)")
    private BigDecimal cumulativeProduction;

    @XText("发电量(kWh)")
    private BigDecimal powerGeneration;

    @XText("用电量(kWh)")
    private BigDecimal powerConsumption;

    @XText("开井间抽数量")
    private Integer openJCNumber;

    @XText("开井连抽数量")
    private Integer openLCNumber;

    @XText("停井间抽数量")
    private Integer stopJCNumber;

    @XText("停井连抽数量")
    private Integer stopLCNumber;
}
