package pps.core.prediction.service.data.photovoltaic_electricity_consumption;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import xstartup.annotation.XText;
import xstartup.base.data.XPageInput;

import java.util.Date;

/**
 * 查询光伏用电量输入
 *
 * @author ZWT
 * @date 2023/09/28
 */
@Data
public class QueryPhotovoltaicElectricityConsumptionInput extends XPageInput {

    @XText("组织机构ID")
    @NotBlank(message = "缺少组织机构ID")
    private String ouId;

    @NotNull(message = "缺少日期类型")
    @XText("日期类型(0_今日,1_近7天,2_近30天,3_自定义)")
    private Integer dateType;

    @XText("自定义开始时间")
    private Date startTime;

    @XText("自定义结束时间")
    private Date endTime;
}
