package pps.core.prediction.service.data.plant_power_data;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * excel预测算法训练
 *
 * @author ZWT
 * @date 2024/09/12
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ColumnWidth(value = 25)
public class ExcelPlantPowerTemplate implements Serializable {

    private static final long serialVersionUID = -6773651457799858074L;

    /**
     * 日期
     */
    @ExcelProperty(index = 0, value = "日期")
    private Date dataDate;

    /**
     * 风速
     */
    @ExcelProperty(index = 1, value = "风速")
    private BigDecimal windSpeed;

    /**
     * 风向
     */
    @ExcelProperty(index = 2, value = "风向")
    private BigDecimal windDirection;

    /**
     * 温度
     */
    @ExcelProperty(index = 3, value = "温度")
    private BigDecimal temperature;

    /**
     * 压强
     */
    @ExcelProperty(index = 4, value = "压强")
    private BigDecimal pressure;

    /**
     * 湿度
     */
    @ExcelProperty(index = 5, value = "湿度")
    private BigDecimal humidity;

    /**
     * 组件平面辐照度
     */
    @ExcelProperty(index = 6, value = "组件平面辐照度")
    private BigDecimal planeIrradiance;

    /**
     * 全水平辐照度
     */
    @ExcelProperty(index = 7, value = "全水平辐照度")
    private BigDecimal horizontalIrradiance;

    /**
     * 实际功率
     */
    @ExcelProperty(index = 8, value = "实际功率")
    private BigDecimal power;
}