package pps.core.prediction.service.data.plant_predicted_power_mid_term;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 获取电厂预测功率中期输出
 *
 * @author ZWT
 * @date 2024/06/06
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetPlantPredictedPowerMidTermOutput implements Serializable {
    @TableId(type = IdType.AUTO)
    private Integer id;

    @XText("线路id")
    private String plantId;

    @XText("日期")
    private String dataDate;

    @XText("实际功率")
    private BigDecimal power;

    @XText("预测功率")
    private BigDecimal predictPower;

    @XText("创建时间")
    private Date createTime;
}
