package pps.core.prediction.service.data.third_active_power;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 第三方有功功率
 *
 * @author ZWT
 * @date 2024/03/19
 */
@Data
public class GetThirdActivePowerViewOutput {

    @XText("井组名称(线路/光伏电站)")
    @JSONField(name = "stationname")
    private String stationName;

    @XText("创建时间")
    @JSONField(name = "ts")
    private Date createDate;

    @XText("光伏有功功率(KW)")
    @JSONField(name = "nbQ1_P")
    private BigDecimal photovoltaicPower;

    @XText("电表有功功率(KW)")
    @JSONField(name = "pJ_P")
    private BigDecimal meterPower;
}
