package pps.core.prediction.service.data.third_current_well_condition;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import pps.cloud.space.service.data.space_optimize_short_wellhead.SpaceOptimizeDateDuration;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.List;


/**
 * 井口实时信息输出
 *
 * @author ZWT
 * @date 2024/07/26
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetRealTimeInfoOutput {

    @XText("井号")
    private String wellNumber;

    @XText("距下次启停小时")
    private BigDecimal nextOpen;

    @XText("井口状态(开/停井)")
    private String wellStatus;

    @XText("运行类型(字典获取)")
    private String runTypeName;

    @XText("额定功率(KW)")
    private BigDecimal ratedPower;

    @XText("井口配置(已优化)")
    private List<SpaceOptimizeDateDuration> optimizeList;
}
