package pps.core.prediction.service.data.third_current_well_condition;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 实时开关井数据
 *
 * @author ZWT
 * @date 2024/05/21 18:07
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetThirdCurrentWellConditionOutput {

    @XText("井号")
    private String wellNumber;

    @XText("下次启停时间")
    private Date nextTime;

    @XText("井口状态(开/停井)")
    private String wellStatus;

    @XText("累计产液量(m³)")
    private BigDecimal cumulativeProduction;

    @XText("开井时长(h)")
    private BigDecimal runningTime;

    @XText("剩余开井时长(h)")
    private BigDecimal surplusTime;
}
