package pps.core.prediction.service.data.third_current_well_condition;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 第三方当日油井状态
 *
 * @author ZWT
 * @date 2024/03/19
 */
@Data
public class GetThirdCurrentWellConditionViewOutput {
    @XText("井号")
    @JSONField(name = "welL_NAME")
    private String wellNumber;

    @XText("下次启停时间")
    @JSONField(name = "next_ExecDate")
    private Date nextTime;

    @XText("井口状态(开/停井)")
    @JSONField(name = "status")
    private String wellStatus;

    @XText("累计产液量(m³)")
    @JSONField(name = "reaL_LIQUID_DAILY")
    private BigDecimal cumulativeProduction;

    @XText("开井时长(h)")
    @JSONField(name = "starthours")
    private BigDecimal runningTime;
}
