package pps.core.prediction.service.data.third_photovoltaic_power;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 第三方光伏日发电量
 *
 * @author ZWT
 * @date 2024/03/19
 */
@Data
public class GetThirdPhotovoltaicPowerViewOutput {

    @XText("井组名称(线路/光伏电站)")
    @JSONField(name = "stationname")
    private String stationName;

    @XText("创建时间")
    @JSONField(name = "calC_DATE")
    private Date createDate;

    @XText("光伏发电量(KW·h)")
    @JSONField(name = "pV_DAY_ELECTRIC_POWER")
    private BigDecimal photovoltaicPower;
}
