package pps.core.prediction.service.data.third_well_avg_active_power;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 第三方单井平均有功功率
 *
 * @author ZWT
 * @date 2024/04/01
 */
@Data
public class GetThirdWellAvgActivePowerOutput {

    @XText("井号")
    @JSONField(name = "welL_NAME")
    private String wellNumber;

    @XText("采集时间")
    @JSONField(name = "inputtime")
    private Date inputTime;

    @XText("平均有功功率(KW)")
    @JSONField(name = "avG_ACTIVE_POWER")
    private BigDecimal avgActivePower;
}