package pps.core.prediction.service.data.wellhead_daily_production_situation;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 井口生产情况表
 *
 * @author ZWT
 * @date 2023/09/27
 */
@Data
public class WellheadDailyProductionSituationJob {

    @XText("井号")
    @JSONField(name = "welL_NAME")
    private String wellNumber;

    @XText("日期")
    @JSONField(name = "caL_DATE")
    private Date dataDate;

    @XText("生产时间(h)")
    @JSONField(name = "starthours")
    private BigDecimal productionTime;

    @XText("日耗电量(kW-h)")
    @JSONField(name = "poweR_CONSUME_DAILY")
    private BigDecimal dailyElectricityConsumption;

    @XText("日产液量(t)")
    @JSONField(name = "reaL_LIQUID_DAILY")
    private BigDecimal dailyLiquidProduction;
}
